# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =会員基本情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AccountBasic

        #
        # ===姓を取得する
        # @return:: 姓
        #
        def last_name
          @last_name = nil unless instance_variable_defined?(:@last_name)
          @last_name
        end

        #
        # ===姓を設定する
        # @param:: last_name 姓
        #
        def last_name=(last_name)
          @last_name = last_name
        end

        #
        # ===姓カナを取得する
        # @return:: 姓カナ
        #
        def last_kana_name
          @last_kana_name = nil unless instance_variable_defined?(:@last_kana_name)
          @last_kana_name
        end

        #
        # ===姓カナを設定する
        # @param:: last_kana_name 姓カナ
        #
        def last_kana_name=(last_kana_name)
          @last_kana_name = last_kana_name
        end

        #
        # ===名を取得する
        # @return:: 名
        #
        def first_name
          @first_name = nil unless instance_variable_defined?(:@first_name)
          @first_name
        end

        #
        # ===名を設定する
        # @param:: first_name 名
        #
        def first_name=(first_name)
          @first_name = first_name
        end

        #
        # ===名カナを取得する
        # @return:: 名カナ
        #
        def first_kana_name
          @first_kana_name = nil unless instance_variable_defined?(:@first_kana_name)
          @first_kana_name
        end

        #
        # ===名カナを設定する
        # @param:: first_kana_name 名カナ
        #
        def first_kana_name=(first_kana_name)
          @first_kana_name = first_kana_name
        end

        #
        # ===メールアドレスを取得する
        # @return:: メールアドレス
        #
        def mail_address
          @mail_address = nil unless instance_variable_defined?(:@mail_address)
          @mail_address
        end

        #
        # ===メールアドレスを設定する
        # @param:: mail_address メールアドレス
        #
        def mail_address=(mail_address)
          @mail_address = mail_address
        end

        #
        # ===入会年月日を取得する
        # @return:: 入会年月日
        #
        def create_date
          @create_date = nil unless instance_variable_defined?(:@create_date)
          @create_date
        end

        #
        # ===入会年月日を設定する
        # @param:: create_date 入会年月日
        #
        def create_date=(create_date)
          @create_date = create_date
        end

        #
        # ===退会年月日を取得する
        # @return:: 退会年月日
        #
        def delete_date
          @delete_date = nil unless instance_variable_defined?(:@delete_date)
          @delete_date
        end

        #
        # ===退会年月日を設定する
        # @param:: delete_date 退会年月日
        #
        def delete_date=(delete_date)
          @delete_date = delete_date
        end

      end
    end
  end
end
