# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:alipayx検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AlipayxSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===Alipay+サービスタイプを取得する
        # @return:: Alipay+サービスタイプ
        #
        def alipayx_service_type
          @alipayx_service_type = nil unless instance_variable_defined?(:@alipayx_service_type)
          @alipayx_service_type
        end

        #
        # ===Alipay+サービスタイプを設定する
        # @param:: alipayx_service_type Alipay+サービスタイプ
        #
        def alipayx_service_type=(alipayx_service_type)
          @alipayx_service_type = alipayx_service_type
        end

      end
    end
  end
end
