# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =口座照会情報クラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankpayAccountDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===口座IDを取得する
        # @return:: 口座ID
        #
        def account_id
          @account_id = nil unless instance_variable_defined?(:@account_id)
          @account_id
        end

        #
        # ===口座IDを設定する
        # @param:: account_id 口座ID
        #
        def account_id=(account_id)
          @account_id = account_id
        end

        #
        # ===口座番号を取得する
        # @return:: 口座番号
        #
        def masked_account_num
          @masked_account_num = nil unless instance_variable_defined?(:@masked_account_num)
          @masked_account_num
        end

        #
        # ===口座番号を設定する
        # @param:: masked_account_num 口座番号
        #
        def masked_account_num=(masked_account_num)
          @masked_account_num = masked_account_num
        end

        #
        # ===銀行コードを取得する
        # @return:: 銀行コード
        #
        def bank_code
          @bank_code = nil unless instance_variable_defined?(:@bank_code)
          @bank_code
        end

        #
        # ===銀行コードを設定する
        # @param:: bank_code 銀行コード
        #
        def bank_code=(bank_code)
          @bank_code = bank_code
        end

        #
        # ===支店コードを取得する
        # @return:: 支店コード
        #
        def branch_code
          @branch_code = nil unless instance_variable_defined?(:@branch_code)
          @branch_code
        end

        #
        # ===支店コードを設定する
        # @param:: branch_code 支店コード
        #
        def branch_code=(branch_code)
          @branch_code = branch_code
        end

        #
        # ===預金種目を取得する
        # @return:: 預金種目
        #
        def deposit_type
          @deposit_type = nil unless instance_variable_defined?(:@deposit_type)
          @deposit_type
        end

        #
        # ===預金種目を設定する
        # @param:: deposit_type 預金種目
        #
        def deposit_type=(deposit_type)
          @deposit_type = deposit_type
        end

        #
        # ===有効区分 を取得する
        # @return:: 有効区分 
        #
        def is_valid
          @is_valid = nil unless instance_variable_defined?(:@is_valid)
          @is_valid
        end

        #
        # ===有効区分 を設定する
        # @param:: is_valid 有効区分 
        #
        def is_valid=(is_valid)
          @is_valid = is_valid
        end

        #
        # ===口座名義人名を取得する
        # @return:: 口座名義人名
        #
        def masked_account_name
          @masked_account_name = nil unless instance_variable_defined?(:@masked_account_name)
          @masked_account_name
        end

        #
        # ===口座名義人名を設定する
        # @param:: masked_account_name 口座名義人名
        #
        def masked_account_name=(masked_account_name)
          @masked_account_name = masked_account_name
        end



      end
    end
  end
end