# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:card検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CardSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
           @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===仕向先カード会社を取得する
        # @return:: 仕向先カード会社
        #
        def requested_corporation_id
          @requested_corporation_id = nil unless instance_variable_defined?(:@requested_corporation_id)
          @requested_corporation_id
        end

        #
        # ===仕向先カード会社を設定する
        # @param:: requested_corporation_id 仕向先カード会社
        #
        def requested_corporation_id=(requested_corporation_id)
          @requested_corporation_id = requested_corporation_id
        end

        #
        # ===支払い種別を取得する
        # @return:: 支払い種別
        #
        def requested_payment_method_type
          @requested_payment_method_type = nil unless instance_variable_defined?(:@requested_payment_method_type)
          @requested_payment_method_type
        end

        #
        # ===支払い種別を設定する
        # @param:: requested_payment_method_type 支払い種別
        #
        def requested_payment_method_type=(requested_payment_method_type)
          @requested_payment_method_type = requested_payment_method_type
        end

        #
        # ===3d-xidを取得する
        # @return:: 3d-xid
        #
        def ddd_transaction_id
          @ddd_transaction_id = nil unless instance_variable_defined?(:@ddd_transaction_id)
          @ddd_transaction_id
        end

        #
        # ===3d-xidを設定する
        # @param:: ddd_transaction_id 3d-xid
        #
        def ddd_transaction_id=(ddd_transaction_id)
          @ddd_transaction_id = ddd_transaction_id
        end

        #
        # ===3DDSトランザクションIDを取得する
        # @return:: 3DDSトランザクションID
        #
        def ddd_ds_transaction_id
          @ddd_ds_transaction_id = nil unless instance_variable_defined?(:@ddd_ds_transaction_id)
          @ddd_ds_transaction_id
        end

        #
        # ===3DDSトランザクションIDを設定する
        # @param:: ddd_ds_transaction_id 3DDSトランザクションID
        #
        def ddd_ds_transaction_id=(ddd_ds_transaction_id)
          @ddd_ds_transaction_id = ddd_ds_transaction_id
        end

        #
        # ===3DサーバトランザクションIDを取得する
        # @return:: 3DサーバトランザクションID
        #
        def ddd_server_transaction_id
          @ddd_server_transaction_id = nil unless instance_variable_defined?(:@ddd_server_transaction_id)
          @ddd_server_transaction_id
        end

        #
        # ===3DサーバトランザクションIDを設定する
        # @param:: ddd_server_transaction_id 3DサーバトランザクションID
        #
        def ddd_server_transaction_id=(ddd_server_transaction_id)
          @ddd_server_transaction_id = ddd_server_transaction_id
        end

      end
    end
  end
end
