# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:キャリア検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CarrierSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===キャリアサービスタイプを取得する
        # @return:: キャリアサービスタイプ
        #
        def cr_service_type
          @cr_service_type = nil unless instance_variable_defined?(:@cr_service_type)
          @cr_service_type
        end

        #
        # ===キャリアサービスタイプを設定する
        # @param:: cr_service_type キャリアサービスタイプ
        #
        def cr_service_type=(cr_service_type)
          @cr_service_type = cr_service_type
        end

        #
        # ===課金タイプを取得する
        # @return:: 課金タイプ
        #
        def accounting_type
          @accounting_type = nil unless instance_variable_defined?(:@accounting_type)
          @accounting_type
        end

        #
        # ===課金タイプを設定する
        # @param:: accounting_type 課金タイプ
        #
        def accounting_type=(accounting_type)
          @accounting_type = accounting_type
        end

        #
        # ===商品タイプを取得する
        # @return:: 商品タイプ
        #
        def item_type
          @item_type = nil unless instance_variable_defined?(:@item_type)
          @item_type
        end

        #
        # ===商品タイプを設定する
        # @param:: item_type 商品タイプ
        #
        def item_type=(item_type)
          @item_type = item_type
        end

        #
        # ===継続状態フラグ（月額課金状態フラグ）を取得する
        # @return:: 継続状態フラグ（月額課金状態フラグ）
        #
        def mp_status
          @mp_status = nil unless instance_variable_defined?(:@mp_status)
          @mp_status
        end

        #
        # ===継続状態フラグ（月額課金状態フラグ）を設定する
        # @param:: mp_status 継続状態フラグ（月額課金状態フラグ）
        #
        def mp_status=(mp_status)
          @mp_status = mp_status
        end

        #
        # ===端末種別を取得する
        # @return:: 端末種別
        #
        def terminal_kind
          @terminal_kind = nil unless instance_variable_defined?(:@terminal_kind)
          @terminal_kind
        end

        #
        # ===端末種別を設定する
        # @param:: terminal_kind 端末種別
        #
        def terminal_kind=(terminal_kind)
          @terminal_kind = terminal_kind
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===初回課金年月日を取得する
        # @return:: 初回課金年月日
        #
        def mp_first_date
          @mp_first_date = nil unless instance_variable_defined?(:@mp_first_date)
          @mp_first_date
        end

        #
        # ===初回課金年月日を設定する
        # @param:: mp_first_date 初回課金年月日
        #
        def mp_first_date=(mp_first_date)
          @mp_first_date = mp_first_date
        end

        #
        # ===継続課金日を取得する
        # @return:: 継続課金日
        #
        def mp_day
          @mp_day = nil unless instance_variable_defined?(:@mp_day)
          @mp_day
        end

        #
        # ===継続課金日を設定する
        # @param:: mp_day 継続課金日
        #
        def mp_day=(mp_day)
          @mp_day = mp_day
        end

        #
        # ===商品番号を取得する
        # @return:: 商品番号
        #
        def item_id
          @item_id = nil unless instance_variable_defined?(:@item_id)
          @item_id
        end

        #
        # ===商品番号を設定する
        # @param:: item_id 商品番号
        #
        def item_id=(item_id)
          @item_id = item_id
        end

      end
    end
  end
end
