# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:コンビニ検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CvsSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===コンビニタイプを取得する
        # @return:: コンビニタイプ
        #
        def cvs_type
          @cvs_type = nil unless instance_variable_defined?(:@cvs_type)
          @cvs_type
        end

        #
        # ===コンビニタイプを設定する
        # @param:: cvs_type コンビニタイプ
        #
        def cvs_type=(cvs_type)
          @cvs_type = cvs_type
        end

        #
        # ===支払期限（From, To）を取得する
        # @return:: @支払期限（From, To）
        #
        def pay_limit
          @pay_limit = nil unless instance_variable_defined?(:@pay_limit)
          @pay_limit
        end

        #
        # ===支払期限（From, To）を設定する
        # @param:: pay_limit 支払期限（From, To）
        #
        def pay_limit=(pay_limit)
          @pay_limit = pay_limit
        end

        #
        # ===入金受付日（From, To）を取得する
        # @return:: @入金受付日（From, To）
        #
        def paid_datetime
          @paid_datetime = nil unless instance_variable_defined?(:@paid_datetime)
          @paid_datetime
        end

        #
        # ===入金受付日（From, To）を設定する
        # @param:: paid_datetime 入金受付日（From, To）
        #
        def paid_datetime=(paid_datetime)
          @paid_datetime = paid_datetime
        end

        #
        # ===支払期限日時（From, To）を取得する
        # @return:: @支払期限日時（From, To）
        #
        def pay_limit_datetime
          @pay_limit_datetime = nil unless instance_variable_defined?(:@pay_limit_datetime)
          @pay_limit_datetime
        end

        #
        # ===支払期限日時（From, To）を設定する
        # @param:: pay_limit_datetime 支払期限日時（From, To）
        #
        def pay_limit_datetime=(pay_limit_datetime)
          @pay_limit_datetime = pay_limit_datetime
        end

      end
    end
  end
end
