# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:コンビニペイ検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CvspaySearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===CvsPay種別を取得する
        # @return:: CvsPay種別
        #
        def cvspay_type
          @cvspay_type = nil unless instance_variable_defined?(:@cvspay_type)
          @cvspay_type
        end

        #
        # ===CvsPay種別を設定する
        # @param:: cvspay_type CvsPay種別
        #
        def cvspay_type=(cvspay_type)
          @cvspay_type = cvspay_type
        end

        #
        # ===決済種別を取得する
        # @return:: 決済種別
        #
        def pay_type
          @pay_type = nil unless instance_variable_defined?(:@pay_type)
          @pay_type
        end

        #
        # ===決済種別を設定する
        # @param:: pay_type 決済種別
        #
        def pay_type=(pay_type)
          @pay_type = pay_type
        end

        #
        # ===CvsPay取引IDを取得する
        # @return:: CvsPay取引ID
        #
        def cvspay_order_id
          @cvspay_order_id = nil unless instance_variable_defined?(:@cvspay_order_id)
          @cvspay_order_id
        end

        #
        # ===CvsPay取引IDを設定する
        # @param:: cvspay_order_id CvsPay取引ID
        #
        def cvspay_order_id=(cvspay_order_id)
          @cvspay_order_id = cvspay_order_id
        end

      end
    end
  end
end
