# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知監査証跡情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionCbAuditTrailDto

        #
        # ===名称コードを取得する
        # スコアリングの契機となったルールの名称コード。
        # @return:: 名称コード
        #
        def code
          @code = nil unless instance_variable_defined?(:@code)
          @code
        end

        #
        # ===名称コードを設定する
        # @param:: code 名称コード
        #
        def code=(code)
          @code = code
        end

        #
        # ===スコアを取得する
        # ルールに設定されているスコア。
        # @return:: スコア
        #
        def rule_score
          @rule_score = nil unless instance_variable_defined?(:@rule_score)
          @rule_score
        end

        #
        # ===スコアを設定する
        # @param:: rule_score スコア
        #
        def rule_score=(rule_score)
          @rule_score = rule_score
        end

        #
        # ===評価アクションを取得する
        # ルールに設定されている、最高の不正リスク評価アクション。
        # APPROVE：承認
        # NOTE：ノート
        # REJECT：却下
        # SUSPECT：不審
        # XSPECIAL：特別監視(通常は使用しません)
        # 
        # @return:: 評価アクション
        #
        def rule_action
          @rule_action = nil unless instance_variable_defined?(:@rule_action)
          @rule_action
        end

        #
        # ===評価アクションを設定する
        # @param:: rule_action 評価アクション
        #
        def rule_action=(rule_action)
          @rule_action = rule_action
        end


      end
    end
  end
end
