# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知警告Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionCbWarningDto

        #
        # ===パスを取得する
        # 無効と判断されたデータが含まれる要素へのオブジェクトパス。
        # @return:: パス
        #
        def path
          @path = nil unless instance_variable_defined?(:@path)
          @path
        end

        #
        # ===パスを設定する
        # @param:: path パス
        #
        def path=(path)
          @path = path
        end

        #
        # ===メッセージを取得する
        # 問題を通知するメッセージ本文。
        # @return:: メッセージ
        #
        def message
          @message = nil unless instance_variable_defined?(:@message)
          @message
        end

        #
        # ===メッセージを設定する
        # @param:: message メッセージ
        #
        def message=(message)
          @message = message
        end

        #
        # ===値を取得する
        # 無効と判断された要素の値。
        # @return:: 値
        #
        def value
          @value = nil unless instance_variable_defined?(:@value)
          @value
        end

        #
        # ===値を設定する
        # @param:: value 値
        #
        def value=(value)
          @value = value
        end


      end
    end
  end
end
