# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知デバイスDtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionDeviceDto

        #
        # ===IPアドレスを取得する
        # @return:: IPアドレス
        #
        def ip
          @ip = nil unless instance_variable_defined?(:@ip)
          @ip
        end

        #
        # ===IPアドレスを設定する
        # IPv4・IPv6 を文字列で設定してください。
        # IPv4については半角数字（0～9）および、"."（ドット）を使用できます。
        # IPv6については16進数の半角英数字（0～9、A～F）および、":"（コロン）を使用できます。
        # @param:: ip IPアドレス
        #
        def ip=(ip)
          @ip = ip
        end

        #
        # ===HTTPヘッダ情報を取得する
        # @return:: HTTPヘッダ情報
        #
        def headers
          @headers = nil unless instance_variable_defined?(:@headers)
          @headers
        end

        #
        # ===HTTPヘッダ情報を設定する
        # 貴社サーバとエンドユーザ間での、HTTP通信時のHTTPヘッダ情報を任意の要素名にて設定してください。
        # 貴社 Web サイトとエンドユーザの PC・Android/iOS端末間のHTTP通信時のすべての「HTTPヘッダフィールド」値を、各要素名・値で設定してください。
        # @param:: headers HTTPヘッダ情報
        #
        def headers=(headers)
          @headers = headers
        end

        #
        # ===Cookie情報を取得する
        # @return:: Cookie情報
        #
        def user_identity_cookies
          @user_identity_cookies = nil unless instance_variable_defined?(:@user_identity_cookies)
          @user_identity_cookies
        end

        #
        # ===Cookie情報を設定する
        # 貴社サーバとエンドユーザ間での、HTTP通信時の cookie 情報を任意の要素名にて設定してください。
        # 貴社 Web サイトとエンドユーザの PC・Android/iOS 端末間の HTTP 通信時の「cookie 情報」値を、各要素名・値で設定してください。
        # @param:: user_identity_cookies Cookie情報
        #
        def user_identity_cookies=(user_identity_cookies)
          @user_identity_cookies = user_identity_cookies
        end

        #
        # ===ユーザ生成データを取得する
        # @return:: ユーザ生成データ
        #
        def device_print
          @device_print = nil unless instance_variable_defined?(:@device_print)
          @device_print
        end

        #
        # ===ユーザ生成データを設定する
        # エンドユーザのPC・Android/iOS端末上で生成されたデータを、そのまま設定してください。
        # いかなる場合も、データを改変、エンコード・デコードしないでください。
        # @param:: device_print ユーザ生成データ
        #
        def device_print=(device_print)
          @device_print = device_print
        end


      end
    end
  end
end
