# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知カードメソッドDtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionMethodCardDto

        #
        # ===メソッド分類を取得する
        # @return:: メソッド分類
        #
        def type
          @type = nil unless instance_variable_defined?(:@type)
          @type
        end

        #
        # ===メソッド分類を設定する
        # @param:: type メソッド分類
        #
        def type=(type)
          @type = type
        end

        #
        # ===カードブランドを取得する
        # @return:: カードブランド
        #
        def brand
          @brand = nil unless instance_variable_defined?(:@brand)
          @brand
        end

        #
        # ===カードブランドを設定する
        # @param:: brand カードブランド
        #
        def brand=(brand)
          @brand = brand
        end

        #
        # ===カード所有者名を取得する
        # @return:: カード所有者名
        #
        def card_holder_name
          @card_holder_name = nil unless instance_variable_defined?(:@card_holder_name)
          @card_holder_name
        end

        #
        # ===カード所有者名を設定する
        # カード所有者名を設定してください。
        # @param:: card_holder_name カード所有者名
        #
        def card_holder_name=(card_holder_name)
          @card_holder_name = card_holder_name
        end

        #
        # ===カードbinコードを取得する
        # @return:: カードbinコード
        #
        def card_bin
          @card_bin = nil unless instance_variable_defined?(:@card_bin)
          @card_bin
        end

        #
        # ===カードbinコードを設定する
        # @param:: card_bin カードbinコード
        #
        def card_bin=(card_bin)
          @card_bin = card_bin
        end

        #
        # ===カード番号下4桁を取得する
        # @return:: カード番号下4桁
        #
        def card_last_four
          @card_last_four = nil unless instance_variable_defined?(:@card_last_four)
          @card_last_four
        end

        #
        # ===カード番号下4桁を設定する
        # @param:: card_last_four カード番号下4桁
        #
        def card_last_four=(card_last_four)
          @card_last_four = card_last_four
        end

        #
        # ===カード番号ハッシュ値を取得する
        # @return:: カード番号ハッシュ値
        #
        def hashed_card_number
          @hashed_card_number = nil unless instance_variable_defined?(:@hashed_card_number)
          @hashed_card_number
        end

        #
        # ===カード番号ハッシュ値を設定する
        # @param:: hashed_card_number カード番号ハッシュ値
        #
        def hashed_card_number=(hashed_card_number)
          @hashed_card_number = hashed_card_number
        end

        #
        # ===カード有効期限を取得する
        # @return:: カード有効期限
        #
        def expire_date
          @expire_date = nil unless instance_variable_defined?(:@expire_date)
          @expire_date
        end

        #
        # ===カード有効期限を設定する
        # @param:: expire_date カード有効期限
        #
        def expire_date=(expire_date)
          @expire_date = expire_date
        end

        #
        # ===カード使用後経過日数を取得する
        # @return:: カード使用後経過日数
        #
        def tof
          @tof = nil unless instance_variable_defined?(:@tof)
          @tof
        end

        #
        # ===カード使用後経過日数を設定する
        # 同カードが最後に使用されてからの日数
        # @param:: tof カード使用後経過日数
        #
        def tof=(tof)
          @tof = tof
        end

        #
        # ===認証情報を取得する
        # @return:: 認証情報
        #
        def authorization
          @authorization = nil unless instance_variable_defined?(:@authorization)
          @authorization
        end

        #
        # ===認証情報を設定する
        # 認証情報オブジェクト
        # @param:: authorization 認証情報
        #
        def authorization=(authorization)
          @authorization = authorization
        end


      end
    end
  end
end
