# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2航空券情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2AirlineDto

        #
        # ===第三者による予約を取得する
        # @return:: 第三者による予約
        #
        def third_party_booking
          @third_party_booking = nil unless instance_variable_defined?(:@third_party_booking)
          @third_party_booking
        end

        #
        # ===第三者による予約を設定する
        # @param:: third_party_booking 第三者による予約
        #
        def third_party_booking=(third_party_booking)
          @third_party_booking = third_party_booking
        end

        #
        # ===代理店コードを取得する
        # @return:: 代理店コード
        #
        def agent_code
          @agent_code = nil unless instance_variable_defined?(:@agent_code)
          @agent_code
        end

        #
        # ===代理店コードを設定する
        # @param:: agent_code 代理店コード
        #
        def agent_code=(agent_code)
          @agent_code = agent_code
        end

        #
        # ===代理店名を取得する
        # @return:: 代理店名
        #
        def agent_name
          @agent_name = nil unless instance_variable_defined?(:@agent_name)
          @agent_name
        end

        #
        # ===代理店名を設定する
        # @param:: agent_name 代理店名
        #
        def agent_name=(agent_name)
          @agent_name = agent_name
        end

        #
        # ===予約種別を取得する
        # @return:: 予約種別
        #
        def booking_type
          @booking_type = nil unless instance_variable_defined?(:@booking_type)
          @booking_type
        end

        #
        # ===予約種別を設定する
        # @param:: booking_type 予約種別
        #
        def booking_type=(booking_type)
          @booking_type = booking_type
        end

        #
        # ===予約番号を取得する
        # @return:: 予約番号
        #
        def booking_ref_num
          @booking_ref_num = nil unless instance_variable_defined?(:@booking_ref_num)
          @booking_ref_num
        end

        #
        # ===予約番号を設定する
        # @param:: booking_ref_num 予約番号
        #
        def booking_ref_num=(booking_ref_num)
          @booking_ref_num = booking_ref_num
        end

        #
        # ===チケット配送方法を取得する
        # @return:: チケット配送方法
        #
        def ticket_delivery_method
          @ticket_delivery_method = nil unless instance_variable_defined?(:@ticket_delivery_method)
          @ticket_delivery_method
        end

        #
        # ===チケット配送方法を設定する
        # @param:: ticket_delivery_method チケット配送方法
        #
        def ticket_delivery_method=(ticket_delivery_method)
          @ticket_delivery_method = ticket_delivery_method
        end

        #
        # ===チケット発行住所を取得する
        # @return:: チケット発行住所
        #
        def ticket_issue_address
          @ticket_issue_address = nil unless instance_variable_defined?(:@ticket_issue_address)
          @ticket_issue_address
        end

        #
        # ===チケット発行住所を設定する
        # @param:: ticket_issue_address チケット発行住所
        #
        def ticket_issue_address=(ticket_issue_address)
          @ticket_issue_address = ticket_issue_address
        end

        #
        # ===チケット発行日を取得する
        # @return:: チケット発行日
        #
        def ticket_issue_date
          @ticket_issue_date = nil unless instance_variable_defined?(:@ticket_issue_date)
          @ticket_issue_date
        end

        #
        # ===チケット発行日を設定する
        # @param:: ticket_issue_date チケット発行日
        #
        def ticket_issue_date=(ticket_issue_date)
          @ticket_issue_date = ticket_issue_date
        end

        #
        # ===税合計を取得する
        # @return:: 税合計
        #
        def total_tax_amount
          @total_tax_amount = nil unless instance_variable_defined?(:@total_tax_amount)
          @total_tax_amount
        end

        #
        # ===税合計を設定する
        # @param:: total_tax_amount 税合計
        #
        def total_tax_amount=(total_tax_amount)
          @total_tax_amount = total_tax_amount
        end

        #
        # ===運賃合計を取得する
        # @return:: 運賃合計
        #
        def total_fare_amount
          @total_fare_amount = nil unless instance_variable_defined?(:@total_fare_amount)
          @total_fare_amount
        end

        #
        # ===運賃合計を設定する
        # @param:: total_fare_amount 運賃合計
        #
        def total_fare_amount=(total_fare_amount)
          @total_fare_amount = total_fare_amount
        end

        #
        # ===手数料合計を取得する
        # @return:: 手数料合計
        #
        def total_fees_amount
          @total_fees_amount = nil unless instance_variable_defined?(:@total_fees_amount)
          @total_fees_amount
        end

        #
        # ===手数料合計を設定する
        # @param:: total_fees_amount 手数料合計
        #
        def total_fees_amount=(total_fees_amount)
          @total_fees_amount = total_fees_amount
        end

        #
        # ===搭乗者情報を取得する
        # @return:: 搭乗者情報
        #
        def passengers
          @passengers = nil unless instance_variable_defined?(:@passengers)
          @passengers
        end

        #
        # ===搭乗者情報を設定する
        # @param:: passengers 搭乗者情報
        #
        def passengers=(passengers)
          @passengers = passengers
        end


      end
    end
  end
end
