# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2商品情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2ItemDto

        #
        # ===数量を取得する
        # @return:: 数量
        #
        def quantity
          @quantity = nil unless instance_variable_defined?(:@quantity)
          @quantity
        end

        #
        # ===数量を設定する
        # @param:: quantity 数量
        #
        def quantity=(quantity)
          @quantity = quantity
        end

        #
        # ===EAN/JANコードを取得する
        # @return:: EAN/JANコード
        #
        def part_number
          @part_number = nil unless instance_variable_defined?(:@part_number)
          @part_number
        end

        #
        # ===EAN/JANコードを設定する
        # @param:: part_number EAN/JANコード
        #
        def part_number=(part_number)
          @part_number = part_number
        end

        #
        # ===商品コードを取得する
        # @return:: 商品コード
        #
        def product_code
          @product_code = nil unless instance_variable_defined?(:@product_code)
          @product_code
        end

        #
        # ===商品コードを設定する
        # @param:: product_code 商品コード
        #
        def product_code=(product_code)
          @product_code = product_code
        end

        #
        # ===SKUを取得する
        # @return:: SKU
        #
        def sku
          @sku = nil unless instance_variable_defined?(:@sku)
          @sku
        end

        #
        # ===SKUを設定する
        # @param:: sku SKU
        #
        def sku=(sku)
          @sku = sku
        end

        #
        # ===商品IDを取得する
        # @return:: 商品ID
        #
        def merchant_item_id
          @merchant_item_id = nil unless instance_variable_defined?(:@merchant_item_id)
          @merchant_item_id
        end

        #
        # ===商品IDを設定する
        # @param:: merchant_item_id 商品ID
        #
        def merchant_item_id=(merchant_item_id)
          @merchant_item_id = merchant_item_id
        end

        #
        # ===商品カテゴリーを取得する
        # @return:: 商品カテゴリー
        #
        def description
          @description = nil unless instance_variable_defined?(:@description)
          @description
        end

        #
        # ===商品カテゴリーを設定する
        # @param:: description 商品カテゴリー
        #
        def description=(description)
          @description = description
        end

        #
        # ===商品単価を取得する
        # @return:: 商品単価
        #
        def original_price
          @original_price = nil unless instance_variable_defined?(:@original_price)
          @original_price
        end

        #
        # ===商品単価を設定する
        # @param:: original_price 商品単価
        #
        def original_price=(original_price)
          @original_price = original_price
        end

        #
        # ===発送商品のトラッキング番号を取得する
        # @return:: 発送商品のトラッキング番号
        #
        def shipping_tracking_number
          @shipping_tracking_number = nil unless instance_variable_defined?(:@shipping_tracking_number)
          @shipping_tracking_number
        end

        #
        # ===発送商品のトラッキング番号を設定する
        # @param:: shipping_tracking_number 発送商品のトラッキング番号
        #
        def shipping_tracking_number=(shipping_tracking_number)
          @shipping_tracking_number = shipping_tracking_number
        end

        #
        # ===商品名を取得する
        # @return:: 商品名
        #
        def name
          @name = nil unless instance_variable_defined?(:@name)
          @name
        end

        #
        # ===商品名を設定する
        # @param:: name 商品名
        #
        def name=(name)
          @name = name
        end

        #
        # ===割引金額を取得する
        # @return:: 割引金額
        #
        def discount
          @discount = nil unless instance_variable_defined?(:@discount)
          @discount
        end

        #
        # ===割引金額を設定する
        # @param:: discount 割引金額
        #
        def discount=(discount)
          @discount = discount
        end

        #
        # ===ギフトメッセージを取得する
        # @return:: ギフトメッセージ
        #
        def gift_message
          @gift_message = nil unless instance_variable_defined?(:@gift_message)
          @gift_message
        end

        #
        # ===ギフトメッセージを設定する
        # @param:: gift_message ギフトメッセージ
        #
        def gift_message=(gift_message)
          @gift_message = gift_message
        end

        #
        # ===商品説明を取得する
        # @return:: 商品説明
        #
        def shipping_instructions
          @shipping_instructions = nil unless instance_variable_defined?(:@shipping_instructions)
          @shipping_instructions
        end

        #
        # ===商品説明を設定する
        # @param:: shipping_instructions 商品説明
        #
        def shipping_instructions=(shipping_instructions)
          @shipping_instructions = shipping_instructions
        end

        #
        # ===発送商品の送付オプションを取得する
        # @return:: 発送商品の送付オプション
        #
        def shipping_method
          @shipping_method = nil unless instance_variable_defined?(:@shipping_method)
          @shipping_method
        end

        #
        # ===発送商品の送付オプションを設定する
        # @param:: shipping_method 発送商品の送付オプション
        #
        def shipping_method=(shipping_method)
          @shipping_method = shipping_method
        end

        #
        # ===商品タイプを取得する
        # @return:: 商品タイプ
        #
        def type
          @type = nil unless instance_variable_defined?(:@type)
          @type
        end

        #
        # ===商品タイプを設定する
        # @param:: type 商品タイプ
        #
        def type=(type)
          @type = type
        end

        #
        # ===発送先住所2を取得する
        # @return:: 発送先住所2
        #
        def recipient_address
          @recipient_address = nil unless instance_variable_defined?(:@recipient_address)
          @recipient_address
        end

        #
        # ===発送先住所2を設定する
        # @param:: recipient_address 発送先住所2
        #
        def recipient_address=(recipient_address)
          @recipient_address = recipient_address
        end

        #
        # ===発送先マンション・アパート及び部屋番号を取得する
        # @return:: 発送先マンション・アパート及び部屋番号
        #
        def recipient_apartment
          @recipient_apartment = nil unless instance_variable_defined?(:@recipient_apartment)
          @recipient_apartment
        end

        #
        # ===発送先マンション・アパート及び部屋番号を設定する
        # @param:: recipient_apartment 発送先マンション・アパート及び部屋番号
        #
        def recipient_apartment=(recipient_apartment)
          @recipient_apartment = recipient_apartment
        end

        #
        # ===発送先都道府県を取得する
        # @return:: 発送先都道府県
        #
        def recipient_city
          @recipient_city = nil unless instance_variable_defined?(:@recipient_city)
          @recipient_city
        end

        #
        # ===発送先都道府県を設定する
        # @param:: recipient_city 発送先都道府県
        #
        def recipient_city=(recipient_city)
          @recipient_city = recipient_city
        end

        #
        # ===発送先国を取得する
        # @return:: 発送先国
        #
        def recipient_country
          @recipient_country = nil unless instance_variable_defined?(:@recipient_country)
          @recipient_country
        end

        #
        # ===発送先国を設定する
        # @param:: recipient_country 発送先国
        #
        def recipient_country=(recipient_country)
          @recipient_country = recipient_country
        end

        #
        # ===発送先メールアドレスを取得する
        # @return:: 発送先メールアドレス
        #
        def recipient_email
          @recipient_email = nil unless instance_variable_defined?(:@recipient_email)
          @recipient_email
        end

        #
        # ===発送先メールアドレスを設定する
        # @param:: recipient_email 発送先メールアドレス
        #
        def recipient_email=(recipient_email)
          @recipient_email = recipient_email
        end

        #
        # ===発送先名前を取得する
        # @return:: 発送先名前
        #
        def recipient_first_name
          @recipient_first_name = nil unless instance_variable_defined?(:@recipient_first_name)
          @recipient_first_name
        end

        #
        # ===発送先名前を設定する
        # @param:: recipient_first_name 発送先名前
        #
        def recipient_first_name=(recipient_first_name)
          @recipient_first_name = recipient_first_name
        end

        #
        # ===発送先苗字を取得する
        # @return:: 発送先苗字
        #
        def recipient_last_name
          @recipient_last_name = nil unless instance_variable_defined?(:@recipient_last_name)
          @recipient_last_name
        end

        #
        # ===発送先苗字を設定する
        # @param:: recipient_last_name 発送先苗字
        #
        def recipient_last_name=(recipient_last_name)
          @recipient_last_name = recipient_last_name
        end

        #
        # ===発送先ミドルネームを取得する
        # @return:: 発送先ミドルネーム
        #
        def recipient_middle_name
          @recipient_middle_name = nil unless instance_variable_defined?(:@recipient_middle_name)
          @recipient_middle_name
        end

        #
        # ===発送先ミドルネームを設定する
        # @param:: recipient_middle_name 発送先ミドルネーム
        #
        def recipient_middle_name=(recipient_middle_name)
          @recipient_middle_name = recipient_middle_name
        end

        #
        # ===発送先電話番号を取得する
        # @return:: 発送先電話番号
        #
        def recipient_phone
          @recipient_phone = nil unless instance_variable_defined?(:@recipient_phone)
          @recipient_phone
        end

        #
        # ===発送先電話番号を設定する
        # @param:: recipient_phone 発送先電話番号
        #
        def recipient_phone=(recipient_phone)
          @recipient_phone = recipient_phone
        end

        #
        # ===発送先郵便番号を取得する
        # @return:: 発送先郵便番号
        #
        def recipient_postcode
          @recipient_postcode = nil unless instance_variable_defined?(:@recipient_postcode)
          @recipient_postcode
        end

        #
        # ===発送先郵便番号を設定する
        # @param:: recipient_postcode 発送先郵便番号
        #
        def recipient_postcode=(recipient_postcode)
          @recipient_postcode = recipient_postcode
        end

        #
        # ===発送先敬称を取得する
        # @return:: 発送先敬称
        #
        def recipient_salutation
          @recipient_salutation = nil unless instance_variable_defined?(:@recipient_salutation)
          @recipient_salutation
        end

        #
        # ===発送先敬称を設定する
        # @param:: recipient_salutation 発送先敬称
        #
        def recipient_salutation=(recipient_salutation)
          @recipient_salutation = recipient_salutation
        end

        #
        # ===発送先州を取得する
        # @return:: 発送先州
        #
        def recipient_state
          @recipient_state = nil unless instance_variable_defined?(:@recipient_state)
          @recipient_state
        end

        #
        # ===発送先州を設定する
        # @param:: recipient_state 発送先州
        #
        def recipient_state=(recipient_state)
          @recipient_state = recipient_state
        end

        #
        # ===発送先住所1を取得する
        # @return:: 発送先住所1
        #
        def recipient_street
          @recipient_street = nil unless instance_variable_defined?(:@recipient_street)
          @recipient_street
        end

        #
        # ===発送先住所1を設定する
        # @param:: recipient_street 発送先住所1
        #
        def recipient_street=(recipient_street)
          @recipient_street = recipient_street
        end


      end
    end
  end
end
