# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2評価要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2RequestDto

        #
        # ===不正検知のみ実施フラグを取得する
        # @return:: 不正検知のみ実施フラグ
        #
        def fraud_detection_only
          @fraud_detection_only = nil unless instance_variable_defined?(:@fraud_detection_only)
          @fraud_detection_only
        end

        #
        # ===不正検知のみ実施フラグを設定する

        # @param:: fraud_detection_only 不正検知のみ実施フラグ
        #
        def fraud_detection_only=(fraud_detection_only)
          @fraud_detection_only = fraud_detection_only
        end

        #
        # ===不正検知動作モードを取得する
        # @return:: 不正検知動作モード
        #
        def fraud_detection_mode
          @fraud_detection_mode = nil unless instance_variable_defined?(:@fraud_detection_mode)
          @fraud_detection_mode
        end

        #
        # ===不正検知動作モードを設定する
        # @param:: fraud_detection_mode 不正検知動作モード
        #
        def fraud_detection_mode=(fraud_detection_mode)
          @fraud_detection_mode = fraud_detection_mode
        end

        #
        # ===対象サービス種別を取得する
        # @return:: 対象サービス種別
        #
        def target_service_type_cd
          @target_service_type_cd = nil unless instance_variable_defined?(:@target_service_type_cd)
          @target_service_type_cd
        end

        #
        # ===対象サービス種別を設定する
        # @param:: target_service_type_cd 対象サービス種別
        #
        def target_service_type_cd=(target_service_type_cd)
          @target_service_type_cd = target_service_type_cd
        end

        #
        # ===対象取引IDを取得する
        # @return:: 対象取引ID
        #
        def target_order_id
          @target_order_id = nil unless instance_variable_defined?(:@target_order_id)
          @target_order_id
        end

        #
        # ===対象取引IDを設定する
        # @param:: target_order_id 対象取引ID
        #
        def target_order_id=(target_order_id)
          @target_order_id = target_order_id
        end

        #
        # ===注文番号を取得する
        # @return:: 注文番号
        #
        def merchant_transaction_id
          @merchant_transaction_id = nil unless instance_variable_defined?(:@merchant_transaction_id)
          @merchant_transaction_id
        end

        #
        # ===注文番号を設定する

        # @param:: merchant_transaction_id 注文番号
        #
        def merchant_transaction_id=(merchant_transaction_id)
          @merchant_transaction_id = merchant_transaction_id
        end

        #
        # ===トランザクション種類を取得する
        # @return:: トランザクション種類
        #
        def transaction_category
          @transaction_category = nil unless instance_variable_defined?(:@transaction_category)
          @transaction_category
        end

        #
        # ===トランザクション種類を設定する
        # @param:: transaction_category トランザクション種類
        #
        def transaction_category=(transaction_category)
          @transaction_category = transaction_category
        end

        #
        # ===決済合計額を取得する
        # @return:: 決済合計額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===決済合計額を設定する
        # @param:: amount 決済合計額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===通貨を取得する
        # @return:: 通貨
        #
        def currency
          @currency = nil unless instance_variable_defined?(:@currency)
          @currency
        end

        #
        # ===通貨を設定する
        # @param:: currency 通貨
        #
        def currency=(currency)
          @currency = currency
        end

        #
        # ===カードブランドタイプを取得する
        # @return:: カードブランドタイプ
        #
        def payment_brand
          @payment_brand = nil unless instance_variable_defined?(:@payment_brand)
          @payment_brand
        end

        #
        # ===カードブランドタイプを設定する
        # @param:: payment_brand カードブランドタイプ
        #
        def payment_brand=(payment_brand)
          @payment_brand = payment_brand
        end

        #
        # ===カード情報を取得する
        # @return:: カード情報
        #
        def card
          @card = nil unless instance_variable_defined?(:@card)
          @card
        end

        #
        # ===カード情報を設定する
        # @param:: card カード情報
        #
        def card=(card)
          @card = card
        end

        #
        # ===口座情報を取得する
        # @return:: 口座情報
        #
        def bank_account
          @bank_account = nil unless instance_variable_defined?(:@bank_account)
          @bank_account
        end

        #
        # ===口座情報を設定する
        # @param:: bank_account 口座情報
        #
        def bank_account=(bank_account)
          @bank_account = bank_account
        end

        #
        # ===税を取得する
        # @return:: 税
        #
        def tax_amount
          @tax_amount = nil unless instance_variable_defined?(:@tax_amount)
          @tax_amount
        end

        #
        # ===税を設定する
        # @param:: tax_amount 税
        #
        def tax_amount=(tax_amount)
          @tax_amount = tax_amount
        end

        #
        # ===リスク情報を取得する
        # @return:: リスク情報
        #
        def risk
          @risk = nil unless instance_variable_defined?(:@risk)
          @risk
        end

        #
        # ===リスク情報を設定する
        # @param:: risk リスク情報
        #
        def risk=(risk)
          @risk = risk
        end

        #
        # ===3Dセキュア情報を取得する
        # @return:: 3Dセキュア情報
        #
        def three_d_secure
          @three_d_secure = nil unless instance_variable_defined?(:@three_d_secure)
          @three_d_secure
        end

        #
        # ===3Dセキュア情報を設定する
        # @param:: three_d_secure 3Dセキュア情報
        #
        def three_d_secure=(three_d_secure)
          @three_d_secure = three_d_secure
        end

        #
        # ===顧客情報を取得する
        # @return:: 顧客情報
        #
        def customer
          @customer = nil unless instance_variable_defined?(:@customer)
          @customer
        end

        #
        # ===顧客情報を設定する
        # @param:: customer 顧客情報
        #
        def customer=(customer)
          @customer = customer
        end

        #
        # ===請求情報を取得する
        # @return:: 請求情報
        #
        def billing
          @billing = nil unless instance_variable_defined?(:@billing)
          @billing
        end

        #
        # ===請求情報を設定する
        # @param:: billing 請求情報
        #
        def billing=(billing)
          @billing = billing
        end

        #
        # ===配送情報を取得する
        # @return:: 配送情報
        #
        def shipping
          @shipping = nil unless instance_variable_defined?(:@shipping)
          @shipping
        end

        #
        # ===配送情報を設定する
        # @param:: shipping 配送情報
        #
        def shipping=(shipping)
          @shipping = shipping
        end

        #
        # ===企業情報を取得する
        # @return:: 企業情報
        #
        def corporate
          @corporate = nil unless instance_variable_defined?(:@corporate)
          @corporate
        end

        #
        # ===企業情報を設定する
        # @param:: corporate 企業情報
        #
        def corporate=(corporate)
          @corporate = corporate
        end

        #
        # ===カート情報を取得する
        # @return:: カート情報
        #
        def cart
          @cart = nil unless instance_variable_defined?(:@cart)
          @cart
        end

        #
        # ===カート情報を設定する
        # @param:: cart カート情報
        #
        def cart=(cart)
          @cart = cart
        end

        #
        # ===ギフトカード情報を取得する
        # @return:: ギフトカード情報
        #
        def gift_card
          @gift_card = nil unless instance_variable_defined?(:@gift_card)
          @gift_card
        end

        #
        # ===ギフトカード情報を設定する
        # @param:: gift_card ギフトカード情報
        #
        def gift_card=(gift_card)
          @gift_card = gift_card
        end

        #
        # ===航空券情報を取得する
        # @return:: 航空券情報
        #
        def airline
          @airline = nil unless instance_variable_defined?(:@airline)
          @airline
        end

        #
        # ===航空券情報を設定する
        # @param:: airline 航空券情報
        #
        def airline=(airline)
          @airline = airline
        end


      end
    end
  end
end
