# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:LINE Pay検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class LinepaySearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===商品番号を取得する
        # @return:: 商品番号
        #
        def item_id
          @item_id = nil unless instance_variable_defined?(:@item_id)
          @item_id
        end

        #
        # ===商品番号を設定する
        # @param:: item_id 商品番号
        #
        def item_id=(item_id)
          @item_id = item_id
        end

      end
    end
  end
end
