# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:ペイパル検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class PaypalSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        #
        # @return:: @詳細オーダー決済状態 ||= nil
        #
        def detail_order_type
          @detail_order_type ||= nil
        end

        #
        # ===詳細オーダー決済状態を設定する
        #
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type  = detail_order_type
        end

        #
        # ===支払日時（From, To）を取得する
        #
        # @return:: 支払日時（From, To）
        #
        def payment_datetime
          @payment_datetime ||= nil
        end

        #
        # ===支払日時（From, To）を設定する
        #
        # @param:: payment_datetime 支払日時（From, To）
        #
        def payment_datetime=(payment_datetime)
          @payment_datetime = payment_datetime
        end

        #
        # ===請求番号を取得する
        #
        # @return:: 請求番号
        #
        def invoice_id
          @invoice_id ||= nil
        end

        #
        # ===請求番号を設定する
        #
        # @param:: invoice_id 請求番号
        #
        def invoice_id=(invoice_id)
          @invoice_id = invoice_id
        end

        #
        # ===顧客番号を取得する
        #
        # @return:: 顧客番号
        #
        def payer_id
          @payer_id ||= nil
        end

        #
        # ===顧客番号を設定する
        #
        # @param:: payer_id 顧客番号
        #
        def payer_id=(payer_id)
          @payer_id = payer_id
        end

      end
    end
  end
end
