# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:スコア@払い検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpaySearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===最新自動審査結果を取得する
        # @return:: 最新自動審査結果
        #
        def last_author_result
          @last_author_result = nil unless instance_variable_defined?(:@last_author_result)
          @last_author_result
        end

        #
        # ===最新自動審査結果を設定する
        # @param:: last_author_result 最新自動審査結果
        #
        def last_author_result=(last_author_result)
          @last_author_result = last_author_result
        end

      end
    end
  end
end
