# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:銀行振込決済検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class VirtualaccSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===登録時振込番号を取得する
        # @return:: 登録時振込番号
        #
        def entry_transfer_number
          @entry_transfer_number = nil unless instance_variable_defined?(:@entry_transfer_number)
          @entry_transfer_number
        end

        #
        # ===登録時振込番号を設定する
        # @param:: entry_transfer_number 登録時振込番号
        #
        def entry_transfer_number=(entry_transfer_number)
          @entry_transfer_number = entry_transfer_number
        end

        #
        # ===登録時振込人名を取得する
        # @return:: 登録時振込人名
        #
        def entry_transfer_name
          @entry_transfer_name = nil unless instance_variable_defined?(:@entry_transfer_name)
          @entry_transfer_name
        end

        #
        # ===登録時振込人名を設定する
        # @param:: entry_transfer_name 登録時振込人名
        #
        def entry_transfer_name=(entry_transfer_name)
          @entry_transfer_name = entry_transfer_name
        end

        #
        # ===口座番号を取得する
        # @return:: 口座番号
        #
        def account_number
          @account_number = nil unless instance_variable_defined?(:@account_number)
          @account_number
        end

        #
        # ===口座番号を設定する
        # @param:: account_number 口座番号
        #
        def account_number=(account_number)
          @account_number = account_number
        end

      end
    end
  end
end
