# -*- encoding: utf-8 -*-
#= mdk_connection.rb - MDK Library 接続管理クラス
#
#Copyright:: VeriTrans Inc.
#Authors::   VeriTrans Inc.
#

require 'tg_mdk/mdk_connection_servlet'

module Veritrans
  module Tercerog
    module Mdk

      #
      # MdkConnection クラス
      #    接続管理クラス
      #
      class MdkConnection

        #
        # ===接続メソッド
        # 処理を分岐して、Servletにて接続を行う
        # @param:: url 接続先URL
        # @param:: param 送信するパラメータ
        # @return:: 処理結果
        #
        def execute(url, param)

          # execute実行
          connection = Veritrans::Tercerog::Mdk::MdkConnectionServlet.new
          return connection.execute(url, param)
        end

      end
    end
  end
end
