# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =会員基本情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AccountBasicParam

        #
        # ===入会年月日を取得する
        # @return:: 入会年月日
        #
        def create_date
          @create_date = nil unless instance_variable_defined?(:@create_date)
          @create_date
        end

        #
        # ===入会年月日を設定する
        # @param:: create_date 入会年月日
        #
        def create_date=(create_date)
          @create_date = create_date
        end

        #
        # ===退会年月日を取得する
        # @return:: 退会年月日
        #
        def delete_date
          @delete_date = nil unless instance_variable_defined?(:@delete_date)
          @delete_date
        end

        #
        # ===退会年月日を設定する
        # @param:: delete_date 退会年月日
        #
        def delete_date=(delete_date)
          @delete_date = delete_date
        end

        #
        # ===強制退会フラグを取得する
        # @return:: 強制退会フラグ
        #
        def force_delete_date
          @force_delete_date = nil unless instance_variable_defined?(:@force_delete_date)
          @force_delete_date
        end

        #
        # ===強制退会フラグを設定する
        # @param:: force_delete_date 強制退会フラグ
        #
        def force_delete_date=(force_delete_date)
          @force_delete_date = force_delete_date
        end

        #
        # ===カード情報削除フラグを取得する
        # @return:: カード情報削除フラグ
        #
        def delete_card_info
          @delete_card_info = nil unless instance_variable_defined?(:@delete_card_info)
          @delete_card_info
        end

        #
        # ===カード情報削除フラグを設定する
        # @param:: delete_card_info カード情報削除フラグ
        #
        def delete_card_info=(delete_card_info)
          @delete_card_info = delete_card_info
        end

        #
        # ===カード情報追加フラグを取得する
        # @return:: カード情報追加フラグ
        #
        def add_card_info
          @add_card_info = nil unless instance_variable_defined?(:@add_card_info)
          @add_card_info
        end

        #
        # ===カード情報追加フラグを設定する
        # @param:: add_card_info カード情報追加フラグ
        #
        def add_card_info=(add_card_info)
          @add_card_info = add_card_info
        end

        #
        # ===元会員ID退会フラグを取得する
        # @return:: 元会員ID退会フラグ
        #
        def delete_original_account_id
          @delete_original_account_id = nil unless instance_variable_defined?(:@delete_original_account_id)
          @delete_original_account_id
        end

        #
        # ===元会員ID退会フラグを設定する
        # @param:: delete_original_account_id 元会員ID退会フラグ
        #
        def delete_original_account_id=(delete_original_account_id)
          @delete_original_account_id = delete_original_account_id
        end

        #
        # ===標準カード限定フラグを取得する
        # @return:: 標準カード限定フラグ
        #
        def default_card_only
          @default_card_only = nil unless instance_variable_defined?(:@default_card_only)
          @default_card_only
        end

        #
        # ===標準カード限定フラグを設定する
        # @param:: default_card_only 標準カード限定フラグ
        #
        def default_card_only=(default_card_only)
          @default_card_only = default_card_only
        end

        #
        # ===洗替設定フラグを取得する
        # @return:: 洗替設定フラグ
        #
        def cleaning_config
          @cleaning_config = nil unless instance_variable_defined?(:@cleaning_config)
          @cleaning_config
        end

        #
        # ===洗替設定フラグを設定する
        # @param:: cleaning_config 洗替設定フラグ
        #
        def cleaning_config=(cleaning_config)
          @cleaning_config = cleaning_config
        end

      end
    end
  end
end
