# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:Alipay検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AlipaySearchParameter

        #
        # ===詳細取引決済状態を取得する
        # @return:: 詳細取引決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細取引決済状態を設定する
        # @param:: detail_order_type 詳細取引決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===決済センターとの取引IDを取得する
        # @return:: 決済センターとの取引ID
        #
        def center_trade_id
          @center_trade_id = nil unless instance_variable_defined?(:@center_trade_id)
          @center_trade_id
        end

        #
        # ===決済センターとの取引IDを設定する
        # @param:: center_trade_id 決済センターとの取引ID
        #
        def center_trade_id=(center_trade_id)
          @center_trade_id = center_trade_id
        end

        #
        # ===支払日時を取得する
        # @return:: 支払日時
        #
        def payment_time
          @payment_time = nil unless instance_variable_defined?(:@payment_time)
          @payment_time
        end

        #
        # ===支払日時を設定する
        # @param:: payment_time 支払日時
        #
        def payment_time=(payment_time)
          @payment_time = payment_time
        end

        #
        # ===清算日時を取得する
        # @return:: 清算日時
        #
        def settlement_time
          @settlement_time = nil unless instance_variable_defined?(:@settlement_time)
          @settlement_time
        end

        #
        # ===清算日時を設定する
        # @param:: settlement_time 清算日時
        #
        def settlement_time=(settlement_time)
          @settlement_time = settlement_time
        end

        #
        # ===決済種別を取得する
        # @return:: 決済種別
        #
        def pay_type
          @pay_type = nil unless instance_variable_defined?(:@pay_type)
          @pay_type
        end

        #
        # ===決済種別を設定する
        # @param:: pay_type 決済種別
        #
        def pay_type=(pay_type)
          @pay_type = pay_type
        end

      end
    end
  end
end
