# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =カード情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CardInfo

        #
        # ===カードIDを取得する
        # @return:: カードID
        #
        def card_id
          @card_id = nil unless instance_variable_defined?(:@card_id)
          @card_id
        end

        #
        # ===カードIDを設定する
        # @param:: card_id カードID
        #
        def card_id=(card_id)
          @card_id = card_id
        end

        #
        # ===マスクカード番号を取得する
        # @return:: マスクカード番号
        #
        def card_number
          @card_number = nil unless instance_variable_defined?(:@card_number)
          @card_number
        end

        #
        # ===マスクカード番号を設定する
        # @param:: card_number マスクカード番号
        #
        def card_number=(card_number)
          @card_number = card_number
        end

        #
        # ===有効期限を取得する
        # @return:: 有効期限
        #
        def card_expire
          @card_expire = nil unless instance_variable_defined?(:@card_expire)
          @card_expire
        end

        #
        # ===有効期限を設定する
        # @param:: card_expire 有効期限
        #
        def card_expire=(card_expire)
          @card_expire = card_expire
        end

        #
        # ===カード保有者名を取得する
        # @return:: カード保有者名
        #
        def cardholder_name
          @cardholder_name = nil unless instance_variable_defined?(:@cardholder_name)
          @cardholder_name
        end

        #
        # ===カード保有者名を設定する
        # @param:: cardholder_name カード保有者名
        #
        def cardholder_name=(cardholder_name)
          @cardholder_name = cardholder_name
        end

        #
        # ===標準カードフラグを取得する
        # @return:: 標準カードフラグ
        #
        def default_card
          @default_card = nil unless instance_variable_defined?(:@default_card)
          @default_card
        end

        #
        # ===標準カードフラグを設定する
        # @param:: default_card 標準カードフラグ
        #
        def default_card=(default_card)
          @default_card = default_card
        end

        #
        # ===仕向先コードを取得する
        # @return:: 仕向先コード
        #
        def acquire_code3
          @acquire_code3 = nil unless instance_variable_defined?(:@acquire_code3)
          @acquire_code3
        end

        #
        # ===仕向先コードを設定する
        # @param:: acquire_code3 仕向先コード
        #
        def acquire_code3=(acquire_code3)
          @acquire_code3 = acquire_code3
        end

        #
        # ===券種コードを取得する
        # @return:: 券種コード
        #
        def kind_code
          @kind_code = nil unless instance_variable_defined?(:@kind_code)
          @kind_code
        end

        #
        # ===券種コードを設定する
        # @param:: kind_code 券種コード
        #
        def kind_code=(kind_code)
          @kind_code = kind_code
        end

        #
        # ===元カードIDを取得する
        # @return:: 元カードID
        #
        def original_card_id
          @original_card_id = nil unless instance_variable_defined?(:@original_card_id)
          @original_card_id
        end

        #
        # ===元カードIDを設定する
        # @param:: original_card_id 元カードID
        #
        def original_card_id=(original_card_id)
          @original_card_id = original_card_id
        end

      end
    end
  end
end
