# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/pay_now_id_constants'
require 'tg_mdk/mdk_dto/abstract_pay_now_id_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =カード情報取得の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CardInfoGetRequestDto < Veritrans::Tercerog::Mdk::AbstractPayNowIdRequestDto

        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = Veritrans::Tercerog::Mdk::PayNowIdConstants::SERVICE_TYPE_CARDINFO

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = Veritrans::Tercerog::Mdk::PayNowIdConstants::SERVICE_COMMAND_GET

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end

      end
    end
  end
end
