# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2搭乗者情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2PassengerDto

        #
        # ===チェックデジットを取得する
        # @return:: チェックデジット
        #
        def check_digit
          @check_digit = nil unless instance_variable_defined?(:@check_digit)
          @check_digit
        end

        #
        # ===チェックデジットを設定する
        # @param:: check_digit チェックデジット
        #
        def check_digit=(check_digit)
          @check_digit = check_digit
        end

        #
        # ===誕生日を取得する
        # @return:: 誕生日
        #
        def dob
          @dob = nil unless instance_variable_defined?(:@dob)
          @dob
        end

        #
        # ===誕生日を設定する
        # @param:: dob 誕生日
        #
        def dob=(dob)
          @dob = dob
        end

        #
        # ===メールアドレスを取得する
        # @return:: メールアドレス
        #
        def email
          @email = nil unless instance_variable_defined?(:@email)
          @email
        end

        #
        # ===メールアドレスを設定する
        # @param:: email メールアドレス
        #
        def email=(email)
          @email = email
        end

        #
        # ===会員番号を取得する
        # @return:: 会員番号
        #
        def frequent_flyer_number
          @frequent_flyer_number = nil unless instance_variable_defined?(:@frequent_flyer_number)
          @frequent_flyer_number
        end

        #
        # ===会員番号を設定する
        # @param:: frequent_flyer_number 会員番号
        #
        def frequent_flyer_number=(frequent_flyer_number)
          @frequent_flyer_number = frequent_flyer_number
        end

        #
        # ===氏名を取得する
        # @return:: 氏名
        #
        def name
          @name = nil unless instance_variable_defined?(:@name)
          @name
        end

        #
        # ===氏名を設定する
        # @param:: name 氏名
        #
        def name=(name)
          @name = name
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def phone
          @phone = nil unless instance_variable_defined?(:@phone)
          @phone
        end

        #
        # ===電話番号を設定する
        # @param:: phone 電話番号
        #
        def phone=(phone)
          @phone = phone
        end

        #
        # ===ステータスを取得する
        # @return:: ステータス
        #
        def status
          @status = nil unless instance_variable_defined?(:@status)
          @status
        end

        #
        # ===ステータスを設定する
        # @param:: status ステータス
        #
        def status=(status)
          @status = status
        end

        #
        # ===チケット番号を取得する
        # @return:: チケット番号
        #
        def ticket_number
          @ticket_number = nil unless instance_variable_defined?(:@ticket_number)
          @ticket_number
        end

        #
        # ===チケット番号を設定する
        # @param:: ticket_number チケット番号
        #
        def ticket_number=(ticket_number)
          @ticket_number = ticket_number
        end

        #
        # ===チケット制限を取得する
        # @return:: チケット制限
        #
        def ticket_restricted
          @ticket_restricted = nil unless instance_variable_defined?(:@ticket_restricted)
          @ticket_restricted
        end

        #
        # ===チケット制限を設定する
        # @param:: ticket_restricted チケット制限
        #
        def ticket_restricted=(ticket_restricted)
          @ticket_restricted = ticket_restricted
        end

        #
        # ===種別を取得する
        # @return:: 種別
        #
        def type
          @type = nil unless instance_variable_defined?(:@type)
          @type
        end

        #
        # ===種別を設定する
        # @param:: type 種別
        #
        def type=(type)
          @type = type
        end

        #
        # ===区間1航空会社名を取得する
        # @return:: 区間1航空会社名
        #
        def legs1_airline_name
          @legs1_airline_name = nil unless instance_variable_defined?(:@legs1_airline_name)
          @legs1_airline_name
        end

        #
        # ===区間1航空会社名を設定する
        # @param:: legs1_airline_name 区間1航空会社名
        #
        def legs1_airline_name=(legs1_airline_name)
          @legs1_airline_name = legs1_airline_name
        end

        #
        # ===区間1航空会社コードを取得する
        # @return:: 区間1航空会社コード
        #
        def legs1_airline_code
          @legs1_airline_code = nil unless instance_variable_defined?(:@legs1_airline_code)
          @legs1_airline_code
        end

        #
        # ===区間1航空会社コードを設定する
        # @param:: legs1_airline_code 区間1航空会社コード
        #
        def legs1_airline_code=(legs1_airline_code)
          @legs1_airline_code = legs1_airline_code
        end

        #
        # ===区間1到着空港を取得する
        # @return:: 区間1到着空港
        #
        def legs1_arrival_airport
          @legs1_arrival_airport = nil unless instance_variable_defined?(:@legs1_arrival_airport)
          @legs1_arrival_airport
        end

        #
        # ===区間1到着空港を設定する
        # @param:: legs1_arrival_airport 区間1到着空港
        #
        def legs1_arrival_airport=(legs1_arrival_airport)
          @legs1_arrival_airport = legs1_arrival_airport
        end

        #
        # ===区間1到着国を取得する
        # @return:: 区間1到着国
        #
        def legs1_arrival_country
          @legs1_arrival_country = nil unless instance_variable_defined?(:@legs1_arrival_country)
          @legs1_arrival_country
        end

        #
        # ===区間1到着国を設定する
        # @param:: legs1_arrival_country 区間1到着国
        #
        def legs1_arrival_country=(legs1_arrival_country)
          @legs1_arrival_country = legs1_arrival_country
        end

        #
        # ===区間1到着日を取得する
        # @return:: 区間1到着日
        #
        def legs1_arrival_date
          @legs1_arrival_date = nil unless instance_variable_defined?(:@legs1_arrival_date)
          @legs1_arrival_date
        end

        #
        # ===区間1到着日を設定する
        # @param:: legs1_arrival_date 区間1到着日
        #
        def legs1_arrival_date=(legs1_arrival_date)
          @legs1_arrival_date = legs1_arrival_date
        end

        #
        # ===区間1到着時間を取得する
        # @return:: 区間1到着時間
        #
        def legs1_arrival_time
          @legs1_arrival_time = nil unless instance_variable_defined?(:@legs1_arrival_time)
          @legs1_arrival_time
        end

        #
        # ===区間1到着時間を設定する
        # @param:: legs1_arrival_time 区間1到着時間
        #
        def legs1_arrival_time=(legs1_arrival_time)
          @legs1_arrival_time = legs1_arrival_time
        end

        #
        # ===区間1会社コードを取得する
        # @return:: 区間1会社コード
        #
        def legs1_carrier_code
          @legs1_carrier_code = nil unless instance_variable_defined?(:@legs1_carrier_code)
          @legs1_carrier_code
        end

        #
        # ===区間1会社コードを設定する
        # @param:: legs1_carrier_code 区間1会社コード
        #
        def legs1_carrier_code=(legs1_carrier_code)
          @legs1_carrier_code = legs1_carrier_code
        end

        #
        # ===区間1サービスクラスを取得する
        # @return:: 区間1サービスクラス
        #
        def legs1_class_of_service
          @legs1_class_of_service = nil unless instance_variable_defined?(:@legs1_class_of_service)
          @legs1_class_of_service
        end

        #
        # ===区間1サービスクラスを設定する
        # @param:: legs1_class_of_service 区間1サービスクラス
        #
        def legs1_class_of_service=(legs1_class_of_service)
          @legs1_class_of_service = legs1_class_of_service
        end

        #
        # ===区間1クーポン番号を取得する
        # @return:: 区間1クーポン番号
        #
        def legs1_coupon_number
          @legs1_coupon_number = nil unless instance_variable_defined?(:@legs1_coupon_number)
          @legs1_coupon_number
        end

        #
        # ===区間1クーポン番号を設定する
        # @param:: legs1_coupon_number 区間1クーポン番号
        #
        def legs1_coupon_number=(legs1_coupon_number)
          @legs1_coupon_number = legs1_coupon_number
        end

        #
        # ===区間1出発空港を取得する
        # @return:: 区間1出発空港
        #
        def legs1_departure_airport
          @legs1_departure_airport = nil unless instance_variable_defined?(:@legs1_departure_airport)
          @legs1_departure_airport
        end

        #
        # ===区間1出発空港を設定する
        # @param:: legs1_departure_airport 区間1出発空港
        #
        def legs1_departure_airport=(legs1_departure_airport)
          @legs1_departure_airport = legs1_departure_airport
        end

        #
        # ===区間1出発国を取得する
        # @return:: 区間1出発国
        #
        def legs1_departure_country
          @legs1_departure_country = nil unless instance_variable_defined?(:@legs1_departure_country)
          @legs1_departure_country
        end

        #
        # ===区間1出発国を設定する
        # @param:: legs1_departure_country 区間1出発国
        #
        def legs1_departure_country=(legs1_departure_country)
          @legs1_departure_country = legs1_departure_country
        end

        #
        # ===区間1出発日を取得する
        # @return:: 区間1出発日
        #
        def legs1_departure_date
          @legs1_departure_date = nil unless instance_variable_defined?(:@legs1_departure_date)
          @legs1_departure_date
        end

        #
        # ===区間1出発日を設定する
        # @param:: legs1_departure_date 区間1出発日
        #
        def legs1_departure_date=(legs1_departure_date)
          @legs1_departure_date = legs1_departure_date
        end

        #
        # ===区間1出発時間を取得する
        # @return:: 区間1出発時間
        #
        def legs1_departure_time
          @legs1_departure_time = nil unless instance_variable_defined?(:@legs1_departure_time)
          @legs1_departure_time
        end

        #
        # ===区間1出発時間を設定する
        # @param:: legs1_departure_time 区間1出発時間
        #
        def legs1_departure_time=(legs1_departure_time)
          @legs1_departure_time = legs1_departure_time
        end

        #
        # ===区間1出国税を取得する
        # @return:: 区間1出国税
        #
        def legs1_departure_tax_amount
          @legs1_departure_tax_amount = nil unless instance_variable_defined?(:@legs1_departure_tax_amount)
          @legs1_departure_tax_amount
        end

        #
        # ===区間1出国税を設定する
        # @param:: legs1_departure_tax_amount 区間1出国税
        #
        def legs1_departure_tax_amount=(legs1_departure_tax_amount)
          @legs1_departure_tax_amount = legs1_departure_tax_amount
        end

        #
        # ===区間1チケット枚数を取得する
        # @return:: 区間1チケット枚数
        #
        def legs1_exchange_ticket_num
          @legs1_exchange_ticket_num = nil unless instance_variable_defined?(:@legs1_exchange_ticket_num)
          @legs1_exchange_ticket_num
        end

        #
        # ===区間1チケット枚数を設定する
        # @param:: legs1_exchange_ticket_num 区間1チケット枚数
        #
        def legs1_exchange_ticket_num=(legs1_exchange_ticket_num)
          @legs1_exchange_ticket_num = legs1_exchange_ticket_num
        end

        #
        # ===区間1運賃を取得する
        # @return:: 区間1運賃
        #
        def legs1_fare_amount
          @legs1_fare_amount = nil unless instance_variable_defined?(:@legs1_fare_amount)
          @legs1_fare_amount
        end

        #
        # ===区間1運賃を設定する
        # @param:: legs1_fare_amount 区間1運賃
        #
        def legs1_fare_amount=(legs1_fare_amount)
          @legs1_fare_amount = legs1_fare_amount
        end

        #
        # ===区間1基本運賃を取得する
        # @return:: 区間1基本運賃
        #
        def legs1_fare_basis
          @legs1_fare_basis = nil unless instance_variable_defined?(:@legs1_fare_basis)
          @legs1_fare_basis
        end

        #
        # ===区間1基本運賃を設定する
        # @param:: legs1_fare_basis 区間1基本運賃
        #
        def legs1_fare_basis=(legs1_fare_basis)
          @legs1_fare_basis = legs1_fare_basis
        end

        #
        # ===区間1手数料を取得する
        # @return:: 区間1手数料
        #
        def legs1_fees_amount
          @legs1_fees_amount = nil unless instance_variable_defined?(:@legs1_fees_amount)
          @legs1_fees_amount
        end

        #
        # ===区間1手数料を設定する
        # @param:: legs1_fees_amount 区間1手数料
        #
        def legs1_fees_amount=(legs1_fees_amount)
          @legs1_fees_amount = legs1_fees_amount
        end

        #
        # ===区間1フライトナンバーを取得する
        # @return:: 区間1フライトナンバー
        #
        def legs1_flight_number
          @legs1_flight_number = nil unless instance_variable_defined?(:@legs1_flight_number)
          @legs1_flight_number
        end

        #
        # ===区間1フライトナンバーを設定する
        # @param:: legs1_flight_number 区間1フライトナンバー
        #
        def legs1_flight_number=(legs1_flight_number)
          @legs1_flight_number = legs1_flight_number
        end

        #
        # ===区間1制限を取得する
        # @return:: 区間1制限
        #
        def legs1_restrictions
          @legs1_restrictions = nil unless instance_variable_defined?(:@legs1_restrictions)
          @legs1_restrictions
        end

        #
        # ===区間1制限を設定する
        # @param:: legs1_restrictions 区間1制限
        #
        def legs1_restrictions=(legs1_restrictions)
          @legs1_restrictions = legs1_restrictions
        end

        #
        # ===区間1途中下車許可を取得する
        # @return:: 区間1途中下車許可
        #
        def legs1_stop_over_allowed
          @legs1_stop_over_allowed = nil unless instance_variable_defined?(:@legs1_stop_over_allowed)
          @legs1_stop_over_allowed
        end

        #
        # ===区間1途中下車許可を設定する
        # @param:: legs1_stop_over_allowed 区間1途中下車許可
        #
        def legs1_stop_over_allowed=(legs1_stop_over_allowed)
          @legs1_stop_over_allowed = legs1_stop_over_allowed
        end

        #
        # ===区間1税を取得する
        # @return:: 区間1税
        #
        def legs1_tax_amount
          @legs1_tax_amount = nil unless instance_variable_defined?(:@legs1_tax_amount)
          @legs1_tax_amount
        end

        #
        # ===区間1税を設定する
        # @param:: legs1_tax_amount 区間1税
        #
        def legs1_tax_amount=(legs1_tax_amount)
          @legs1_tax_amount = legs1_tax_amount
        end

        #
        # ===区間1チケット番号を取得する
        # @return:: 区間1チケット番号
        #
        def legs1_ticket_number
          @legs1_ticket_number = nil unless instance_variable_defined?(:@legs1_ticket_number)
          @legs1_ticket_number
        end

        #
        # ===区間1チケット番号を設定する
        # @param:: legs1_ticket_number 区間1チケット番号
        #
        def legs1_ticket_number=(legs1_ticket_number)
          @legs1_ticket_number = legs1_ticket_number
        end

        #
        # ===区間2航空会社名を取得する
        # @return:: 区間2航空会社名
        #
        def legs2_airline_name
          @legs2_airline_name = nil unless instance_variable_defined?(:@legs2_airline_name)
          @legs2_airline_name
        end

        #
        # ===区間2航空会社名を設定する
        # @param:: legs2_airline_name 区間2航空会社名
        #
        def legs2_airline_name=(legs2_airline_name)
          @legs2_airline_name = legs2_airline_name
        end

        #
        # ===区間2航空会社コードを取得する
        # @return:: 区間2航空会社コード
        #
        def legs2_airline_code
          @legs2_airline_code = nil unless instance_variable_defined?(:@legs2_airline_code)
          @legs2_airline_code
        end

        #
        # ===区間2航空会社コードを設定する
        # @param:: legs2_airline_code 区間2航空会社コード
        #
        def legs2_airline_code=(legs2_airline_code)
          @legs2_airline_code = legs2_airline_code
        end

        #
        # ===区間2到着空港を取得する
        # @return:: 区間2到着空港
        #
        def legs2_arrival_airport
          @legs2_arrival_airport = nil unless instance_variable_defined?(:@legs2_arrival_airport)
          @legs2_arrival_airport
        end

        #
        # ===区間2到着空港を設定する
        # @param:: legs2_arrival_airport 区間2到着空港
        #
        def legs2_arrival_airport=(legs2_arrival_airport)
          @legs2_arrival_airport = legs2_arrival_airport
        end

        #
        # ===区間2到着国を取得する
        # @return:: 区間2到着国
        #
        def legs2_arrival_country
          @legs2_arrival_country = nil unless instance_variable_defined?(:@legs2_arrival_country)
          @legs2_arrival_country
        end

        #
        # ===区間2到着国を設定する
        # @param:: legs2_arrival_country 区間2到着国
        #
        def legs2_arrival_country=(legs2_arrival_country)
          @legs2_arrival_country = legs2_arrival_country
        end

        #
        # ===区間2到着日を取得する
        # @return:: 区間2到着日
        #
        def legs2_arrival_date
          @legs2_arrival_date = nil unless instance_variable_defined?(:@legs2_arrival_date)
          @legs2_arrival_date
        end

        #
        # ===区間2到着日を設定する
        # @param:: legs2_arrival_date 区間2到着日
        #
        def legs2_arrival_date=(legs2_arrival_date)
          @legs2_arrival_date = legs2_arrival_date
        end

        #
        # ===区間2到着時間を取得する
        # @return:: 区間2到着時間
        #
        def legs2_arrival_time
          @legs2_arrival_time = nil unless instance_variable_defined?(:@legs2_arrival_time)
          @legs2_arrival_time
        end

        #
        # ===区間2到着時間を設定する
        # @param:: legs2_arrival_time 区間2到着時間
        #
        def legs2_arrival_time=(legs2_arrival_time)
          @legs2_arrival_time = legs2_arrival_time
        end

        #
        # ===区間2会社コードを取得する
        # @return:: 区間2会社コード
        #
        def legs2_carrier_code
          @legs2_carrier_code = nil unless instance_variable_defined?(:@legs2_carrier_code)
          @legs2_carrier_code
        end

        #
        # ===区間2会社コードを設定する
        # @param:: legs2_carrier_code 区間2会社コード
        #
        def legs2_carrier_code=(legs2_carrier_code)
          @legs2_carrier_code = legs2_carrier_code
        end

        #
        # ===区間2サービスクラスを取得する
        # @return:: 区間2サービスクラス
        #
        def legs2_class_of_service
          @legs2_class_of_service = nil unless instance_variable_defined?(:@legs2_class_of_service)
          @legs2_class_of_service
        end

        #
        # ===区間2サービスクラスを設定する
        # @param:: legs2_class_of_service 区間2サービスクラス
        #
        def legs2_class_of_service=(legs2_class_of_service)
          @legs2_class_of_service = legs2_class_of_service
        end

        #
        # ===区間2クーポン番号を取得する
        # @return:: 区間2クーポン番号
        #
        def legs2_coupon_number
          @legs2_coupon_number = nil unless instance_variable_defined?(:@legs2_coupon_number)
          @legs2_coupon_number
        end

        #
        # ===区間2クーポン番号を設定する
        # @param:: legs2_coupon_number 区間2クーポン番号
        #
        def legs2_coupon_number=(legs2_coupon_number)
          @legs2_coupon_number = legs2_coupon_number
        end

        #
        # ===区間2出発空港を取得する
        # @return:: 区間2出発空港
        #
        def legs2_departure_airport
          @legs2_departure_airport = nil unless instance_variable_defined?(:@legs2_departure_airport)
          @legs2_departure_airport
        end

        #
        # ===区間2出発空港を設定する
        # @param:: legs2_departure_airport 区間2出発空港
        #
        def legs2_departure_airport=(legs2_departure_airport)
          @legs2_departure_airport = legs2_departure_airport
        end

        #
        # ===区間2出発国を取得する
        # @return:: 区間2出発国
        #
        def legs2_departure_country
          @legs2_departure_country = nil unless instance_variable_defined?(:@legs2_departure_country)
          @legs2_departure_country
        end

        #
        # ===区間2出発国を設定する
        # @param:: legs2_departure_country 区間2出発国
        #
        def legs2_departure_country=(legs2_departure_country)
          @legs2_departure_country = legs2_departure_country
        end

        #
        # ===区間2出発日を取得する
        # @return:: 区間2出発日
        #
        def legs2_departure_date
          @legs2_departure_date = nil unless instance_variable_defined?(:@legs2_departure_date)
          @legs2_departure_date
        end

        #
        # ===区間2出発日を設定する
        # @param:: legs2_departure_date 区間2出発日
        #
        def legs2_departure_date=(legs2_departure_date)
          @legs2_departure_date = legs2_departure_date
        end

        #
        # ===区間2出発時間を取得する
        # @return:: 区間2出発時間
        #
        def legs2_departure_time
          @legs2_departure_time = nil unless instance_variable_defined?(:@legs2_departure_time)
          @legs2_departure_time
        end

        #
        # ===区間2出発時間を設定する
        # @param:: legs2_departure_time 区間2出発時間
        #
        def legs2_departure_time=(legs2_departure_time)
          @legs2_departure_time = legs2_departure_time
        end

        #
        # ===区間2出国税を取得する
        # @return:: 区間2出国税
        #
        def legs2_departure_tax_amount
          @legs2_departure_tax_amount = nil unless instance_variable_defined?(:@legs2_departure_tax_amount)
          @legs2_departure_tax_amount
        end

        #
        # ===区間2出国税を設定する
        # @param:: legs2_departure_tax_amount 区間2出国税
        #
        def legs2_departure_tax_amount=(legs2_departure_tax_amount)
          @legs2_departure_tax_amount = legs2_departure_tax_amount
        end

        #
        # ===区間2チケット枚数を取得する
        # @return:: 区間2チケット枚数
        #
        def legs2_exchange_ticket_num
          @legs2_exchange_ticket_num = nil unless instance_variable_defined?(:@legs2_exchange_ticket_num)
          @legs2_exchange_ticket_num
        end

        #
        # ===区間2チケット枚数を設定する
        # @param:: legs2_exchange_ticket_num 区間2チケット枚数
        #
        def legs2_exchange_ticket_num=(legs2_exchange_ticket_num)
          @legs2_exchange_ticket_num = legs2_exchange_ticket_num
        end

        #
        # ===区間2運賃を取得する
        # @return:: 区間2運賃
        #
        def legs2_fare_amount
          @legs2_fare_amount = nil unless instance_variable_defined?(:@legs2_fare_amount)
          @legs2_fare_amount
        end

        #
        # ===区間2運賃を設定する
        # @param:: legs2_fare_amount 区間2運賃
        #
        def legs2_fare_amount=(legs2_fare_amount)
          @legs2_fare_amount = legs2_fare_amount
        end

        #
        # ===区間2基本運賃を取得する
        # @return:: 区間2基本運賃
        #
        def legs2_fare_basis
          @legs2_fare_basis = nil unless instance_variable_defined?(:@legs2_fare_basis)
          @legs2_fare_basis
        end

        #
        # ===区間2基本運賃を設定する
        # @param:: legs2_fare_basis 区間2基本運賃
        #
        def legs2_fare_basis=(legs2_fare_basis)
          @legs2_fare_basis = legs2_fare_basis
        end

        #
        # ===区間2手数料を取得する
        # @return:: 区間2手数料
        #
        def legs2_fees_amount
          @legs2_fees_amount = nil unless instance_variable_defined?(:@legs2_fees_amount)
          @legs2_fees_amount
        end

        #
        # ===区間2手数料を設定する
        # @param:: legs2_fees_amount 区間2手数料
        #
        def legs2_fees_amount=(legs2_fees_amount)
          @legs2_fees_amount = legs2_fees_amount
        end

        #
        # ===区間2フライトナンバーを取得する
        # @return:: 区間2フライトナンバー
        #
        def legs2_flight_number
          @legs2_flight_number = nil unless instance_variable_defined?(:@legs2_flight_number)
          @legs2_flight_number
        end

        #
        # ===区間2フライトナンバーを設定する
        # @param:: legs2_flight_number 区間2フライトナンバー
        #
        def legs2_flight_number=(legs2_flight_number)
          @legs2_flight_number = legs2_flight_number
        end

        #
        # ===区間2制限を取得する
        # @return:: 区間2制限
        #
        def legs2_restrictions
          @legs2_restrictions = nil unless instance_variable_defined?(:@legs2_restrictions)
          @legs2_restrictions
        end

        #
        # ===区間2制限を設定する
        # @param:: legs2_restrictions 区間2制限
        #
        def legs2_restrictions=(legs2_restrictions)
          @legs2_restrictions = legs2_restrictions
        end

        #
        # ===区間2途中下車許可を取得する
        # @return:: 区間2途中下車許可
        #
        def legs2_stop_over_allowed
          @legs2_stop_over_allowed = nil unless instance_variable_defined?(:@legs2_stop_over_allowed)
          @legs2_stop_over_allowed
        end

        #
        # ===区間2途中下車許可を設定する
        # @param:: legs2_stop_over_allowed 区間2途中下車許可
        #
        def legs2_stop_over_allowed=(legs2_stop_over_allowed)
          @legs2_stop_over_allowed = legs2_stop_over_allowed
        end

        #
        # ===区間2税を取得する
        # @return:: 区間2税
        #
        def legs2_tax_amount
          @legs2_tax_amount = nil unless instance_variable_defined?(:@legs2_tax_amount)
          @legs2_tax_amount
        end

        #
        # ===区間2税を設定する
        # @param:: legs2_tax_amount 区間2税
        #
        def legs2_tax_amount=(legs2_tax_amount)
          @legs2_tax_amount = legs2_tax_amount
        end

        #
        # ===区間2チケット番号を取得する
        # @return:: 区間2チケット番号
        #
        def legs2_ticket_number
          @legs2_ticket_number = nil unless instance_variable_defined?(:@legs2_ticket_number)
          @legs2_ticket_number
        end

        #
        # ===区間2チケット番号を設定する
        # @param:: legs2_ticket_number 区間2チケット番号
        #
        def legs2_ticket_number=(legs2_ticket_number)
          @legs2_ticket_number = legs2_ticket_number
        end

        #
        # ===区間3航空会社名を取得する
        # @return:: 区間3航空会社名
        #
        def legs3_airline_name
          @legs3_airline_name = nil unless instance_variable_defined?(:@legs3_airline_name)
          @legs3_airline_name
        end

        #
        # ===区間3航空会社名を設定する
        # @param:: legs3_airline_name 区間3航空会社名
        #
        def legs3_airline_name=(legs3_airline_name)
          @legs3_airline_name = legs3_airline_name
        end

        #
        # ===区間3航空会社コードを取得する
        # @return:: 区間3航空会社コード
        #
        def legs3_airline_code
          @legs3_airline_code = nil unless instance_variable_defined?(:@legs3_airline_code)
          @legs3_airline_code
        end

        #
        # ===区間3航空会社コードを設定する
        # @param:: legs3_airline_code 区間3航空会社コード
        #
        def legs3_airline_code=(legs3_airline_code)
          @legs3_airline_code = legs3_airline_code
        end

        #
        # ===区間3到着空港を取得する
        # @return:: 区間3到着空港
        #
        def legs3_arrival_airport
          @legs3_arrival_airport = nil unless instance_variable_defined?(:@legs3_arrival_airport)
          @legs3_arrival_airport
        end

        #
        # ===区間3到着空港を設定する
        # @param:: legs3_arrival_airport 区間3到着空港
        #
        def legs3_arrival_airport=(legs3_arrival_airport)
          @legs3_arrival_airport = legs3_arrival_airport
        end

        #
        # ===区間3到着国を取得する
        # @return:: 区間3到着国
        #
        def legs3_arrival_country
          @legs3_arrival_country = nil unless instance_variable_defined?(:@legs3_arrival_country)
          @legs3_arrival_country
        end

        #
        # ===区間3到着国を設定する
        # @param:: legs3_arrival_country 区間3到着国
        #
        def legs3_arrival_country=(legs3_arrival_country)
          @legs3_arrival_country = legs3_arrival_country
        end

        #
        # ===区間3到着日を取得する
        # @return:: 区間3到着日
        #
        def legs3_arrival_date
          @legs3_arrival_date = nil unless instance_variable_defined?(:@legs3_arrival_date)
          @legs3_arrival_date
        end

        #
        # ===区間3到着日を設定する
        # @param:: legs3_arrival_date 区間3到着日
        #
        def legs3_arrival_date=(legs3_arrival_date)
          @legs3_arrival_date = legs3_arrival_date
        end

        #
        # ===区間3到着時間を取得する
        # @return:: 区間3到着時間
        #
        def legs3_arrival_time
          @legs3_arrival_time = nil unless instance_variable_defined?(:@legs3_arrival_time)
          @legs3_arrival_time
        end

        #
        # ===区間3到着時間を設定する
        # @param:: legs3_arrival_time 区間3到着時間
        #
        def legs3_arrival_time=(legs3_arrival_time)
          @legs3_arrival_time = legs3_arrival_time
        end

        #
        # ===区間3会社コードを取得する
        # @return:: 区間3会社コード
        #
        def legs3_carrier_code
          @legs3_carrier_code = nil unless instance_variable_defined?(:@legs3_carrier_code)
          @legs3_carrier_code
        end

        #
        # ===区間3会社コードを設定する
        # @param:: legs3_carrier_code 区間3会社コード
        #
        def legs3_carrier_code=(legs3_carrier_code)
          @legs3_carrier_code = legs3_carrier_code
        end

        #
        # ===区間3サービスクラスを取得する
        # @return:: 区間3サービスクラス
        #
        def legs3_class_of_service
          @legs3_class_of_service = nil unless instance_variable_defined?(:@legs3_class_of_service)
          @legs3_class_of_service
        end

        #
        # ===区間3サービスクラスを設定する
        # @param:: legs3_class_of_service 区間3サービスクラス
        #
        def legs3_class_of_service=(legs3_class_of_service)
          @legs3_class_of_service = legs3_class_of_service
        end

        #
        # ===区間3クーポン番号を取得する
        # @return:: 区間3クーポン番号
        #
        def legs3_coupon_number
          @legs3_coupon_number = nil unless instance_variable_defined?(:@legs3_coupon_number)
          @legs3_coupon_number
        end

        #
        # ===区間3クーポン番号を設定する
        # @param:: legs3_coupon_number 区間3クーポン番号
        #
        def legs3_coupon_number=(legs3_coupon_number)
          @legs3_coupon_number = legs3_coupon_number
        end

        #
        # ===区間3出発空港を取得する
        # @return:: 区間3出発空港
        #
        def legs3_departure_airport
          @legs3_departure_airport = nil unless instance_variable_defined?(:@legs3_departure_airport)
          @legs3_departure_airport
        end

        #
        # ===区間3出発空港を設定する
        # @param:: legs3_departure_airport 区間3出発空港
        #
        def legs3_departure_airport=(legs3_departure_airport)
          @legs3_departure_airport = legs3_departure_airport
        end

        #
        # ===区間3出発国を取得する
        # @return:: 区間3出発国
        #
        def legs3_departure_country
          @legs3_departure_country = nil unless instance_variable_defined?(:@legs3_departure_country)
          @legs3_departure_country
        end

        #
        # ===区間3出発国を設定する
        # @param:: legs3_departure_country 区間3出発国
        #
        def legs3_departure_country=(legs3_departure_country)
          @legs3_departure_country = legs3_departure_country
        end

        #
        # ===区間3出発日を取得する
        # @return:: 区間3出発日
        #
        def legs3_departure_date
          @legs3_departure_date = nil unless instance_variable_defined?(:@legs3_departure_date)
          @legs3_departure_date
        end

        #
        # ===区間3出発日を設定する
        # @param:: legs3_departure_date 区間3出発日
        #
        def legs3_departure_date=(legs3_departure_date)
          @legs3_departure_date = legs3_departure_date
        end

        #
        # ===区間3出発時間を取得する
        # @return:: 区間3出発時間
        #
        def legs3_departure_time
          @legs3_departure_time = nil unless instance_variable_defined?(:@legs3_departure_time)
          @legs3_departure_time
        end

        #
        # ===区間3出発時間を設定する
        # @param:: legs3_departure_time 区間3出発時間
        #
        def legs3_departure_time=(legs3_departure_time)
          @legs3_departure_time = legs3_departure_time
        end

        #
        # ===区間3出国税を取得する
        # @return:: 区間3出国税
        #
        def legs3_departure_tax_amount
          @legs3_departure_tax_amount = nil unless instance_variable_defined?(:@legs3_departure_tax_amount)
          @legs3_departure_tax_amount
        end

        #
        # ===区間3出国税を設定する
        # @param:: legs3_departure_tax_amount 区間3出国税
        #
        def legs3_departure_tax_amount=(legs3_departure_tax_amount)
          @legs3_departure_tax_amount = legs3_departure_tax_amount
        end

        #
        # ===区間3チケット枚数を取得する
        # @return:: 区間3チケット枚数
        #
        def legs3_exchange_ticket_num
          @legs3_exchange_ticket_num = nil unless instance_variable_defined?(:@legs3_exchange_ticket_num)
          @legs3_exchange_ticket_num
        end

        #
        # ===区間3チケット枚数を設定する
        # @param:: legs3_exchange_ticket_num 区間3チケット枚数
        #
        def legs3_exchange_ticket_num=(legs3_exchange_ticket_num)
          @legs3_exchange_ticket_num = legs3_exchange_ticket_num
        end

        #
        # ===区間3運賃を取得する
        # @return:: 区間3運賃
        #
        def legs3_fare_amount
          @legs3_fare_amount = nil unless instance_variable_defined?(:@legs3_fare_amount)
          @legs3_fare_amount
        end

        #
        # ===区間3運賃を設定する
        # @param:: legs3_fare_amount 区間3運賃
        #
        def legs3_fare_amount=(legs3_fare_amount)
          @legs3_fare_amount = legs3_fare_amount
        end

        #
        # ===区間3基本運賃を取得する
        # @return:: 区間3基本運賃
        #
        def legs3_fare_basis
          @legs3_fare_basis = nil unless instance_variable_defined?(:@legs3_fare_basis)
          @legs3_fare_basis
        end

        #
        # ===区間3基本運賃を設定する
        # @param:: legs3_fare_basis 区間3基本運賃
        #
        def legs3_fare_basis=(legs3_fare_basis)
          @legs3_fare_basis = legs3_fare_basis
        end

        #
        # ===区間3手数料を取得する
        # @return:: 区間3手数料
        #
        def legs3_fees_amount
          @legs3_fees_amount = nil unless instance_variable_defined?(:@legs3_fees_amount)
          @legs3_fees_amount
        end

        #
        # ===区間3手数料を設定する
        # @param:: legs3_fees_amount 区間3手数料
        #
        def legs3_fees_amount=(legs3_fees_amount)
          @legs3_fees_amount = legs3_fees_amount
        end

        #
        # ===区間3フライトナンバーを取得する
        # @return:: 区間3フライトナンバー
        #
        def legs3_flight_number
          @legs3_flight_number = nil unless instance_variable_defined?(:@legs3_flight_number)
          @legs3_flight_number
        end

        #
        # ===区間3フライトナンバーを設定する
        # @param:: legs3_flight_number 区間3フライトナンバー
        #
        def legs3_flight_number=(legs3_flight_number)
          @legs3_flight_number = legs3_flight_number
        end

        #
        # ===区間3制限を取得する
        # @return:: 区間3制限
        #
        def legs3_restrictions
          @legs3_restrictions = nil unless instance_variable_defined?(:@legs3_restrictions)
          @legs3_restrictions
        end

        #
        # ===区間3制限を設定する
        # @param:: legs3_restrictions 区間3制限
        #
        def legs3_restrictions=(legs3_restrictions)
          @legs3_restrictions = legs3_restrictions
        end

        #
        # ===区間3途中下車許可を取得する
        # @return:: 区間3途中下車許可
        #
        def legs3_stop_over_allowed
          @legs3_stop_over_allowed = nil unless instance_variable_defined?(:@legs3_stop_over_allowed)
          @legs3_stop_over_allowed
        end

        #
        # ===区間3途中下車許可を設定する
        # @param:: legs3_stop_over_allowed 区間3途中下車許可
        #
        def legs3_stop_over_allowed=(legs3_stop_over_allowed)
          @legs3_stop_over_allowed = legs3_stop_over_allowed
        end

        #
        # ===区間3税を取得する
        # @return:: 区間3税
        #
        def legs3_tax_amount
          @legs3_tax_amount = nil unless instance_variable_defined?(:@legs3_tax_amount)
          @legs3_tax_amount
        end

        #
        # ===区間3税を設定する
        # @param:: legs3_tax_amount 区間3税
        #
        def legs3_tax_amount=(legs3_tax_amount)
          @legs3_tax_amount = legs3_tax_amount
        end

        #
        # ===区間3チケット番号を取得する
        # @return:: 区間3チケット番号
        #
        def legs3_ticket_number
          @legs3_ticket_number = nil unless instance_variable_defined?(:@legs3_ticket_number)
          @legs3_ticket_number
        end

        #
        # ===区間3チケット番号を設定する
        # @param:: legs3_ticket_number 区間3チケット番号
        #
        def legs3_ticket_number=(legs3_ticket_number)
          @legs3_ticket_number = legs3_ticket_number
        end

        #
        # ===区間4航空会社名を取得する
        # @return:: 区間4航空会社名
        #
        def legs4_airline_name
          @legs4_airline_name = nil unless instance_variable_defined?(:@legs4_airline_name)
          @legs4_airline_name
        end

        #
        # ===区間4航空会社名を設定する
        # @param:: legs4_airline_name 区間4航空会社名
        #
        def legs4_airline_name=(legs4_airline_name)
          @legs4_airline_name = legs4_airline_name
        end

        #
        # ===区間4航空会社コードを取得する
        # @return:: 区間4航空会社コード
        #
        def legs4_airline_code
          @legs4_airline_code = nil unless instance_variable_defined?(:@legs4_airline_code)
          @legs4_airline_code
        end

        #
        # ===区間4航空会社コードを設定する
        # @param:: legs4_airline_code 区間4航空会社コード
        #
        def legs4_airline_code=(legs4_airline_code)
          @legs4_airline_code = legs4_airline_code
        end

        #
        # ===区間4到着空港を取得する
        # @return:: 区間4到着空港
        #
        def legs4_arrival_airport
          @legs4_arrival_airport = nil unless instance_variable_defined?(:@legs4_arrival_airport)
          @legs4_arrival_airport
        end

        #
        # ===区間4到着空港を設定する
        # @param:: legs4_arrival_airport 区間4到着空港
        #
        def legs4_arrival_airport=(legs4_arrival_airport)
          @legs4_arrival_airport = legs4_arrival_airport
        end

        #
        # ===区間4到着国を取得する
        # @return:: 区間4到着国
        #
        def legs4_arrival_country
          @legs4_arrival_country = nil unless instance_variable_defined?(:@legs4_arrival_country)
          @legs4_arrival_country
        end

        #
        # ===区間4到着国を設定する
        # @param:: legs4_arrival_country 区間4到着国
        #
        def legs4_arrival_country=(legs4_arrival_country)
          @legs4_arrival_country = legs4_arrival_country
        end

        #
        # ===区間4到着日を取得する
        # @return:: 区間4到着日
        #
        def legs4_arrival_date
          @legs4_arrival_date = nil unless instance_variable_defined?(:@legs4_arrival_date)
          @legs4_arrival_date
        end

        #
        # ===区間4到着日を設定する
        # @param:: legs4_arrival_date 区間4到着日
        #
        def legs4_arrival_date=(legs4_arrival_date)
          @legs4_arrival_date = legs4_arrival_date
        end

        #
        # ===区間4到着時間を取得する
        # @return:: 区間4到着時間
        #
        def legs4_arrival_time
          @legs4_arrival_time = nil unless instance_variable_defined?(:@legs4_arrival_time)
          @legs4_arrival_time
        end

        #
        # ===区間4到着時間を設定する
        # @param:: legs4_arrival_time 区間4到着時間
        #
        def legs4_arrival_time=(legs4_arrival_time)
          @legs4_arrival_time = legs4_arrival_time
        end

        #
        # ===区間4会社コードを取得する
        # @return:: 区間4会社コード
        #
        def legs4_carrier_code
          @legs4_carrier_code = nil unless instance_variable_defined?(:@legs4_carrier_code)
          @legs4_carrier_code
        end

        #
        # ===区間4会社コードを設定する
        # @param:: legs4_carrier_code 区間4会社コード
        #
        def legs4_carrier_code=(legs4_carrier_code)
          @legs4_carrier_code = legs4_carrier_code
        end

        #
        # ===区間4サービスクラスを取得する
        # @return:: 区間4サービスクラス
        #
        def legs4_class_of_service
          @legs4_class_of_service = nil unless instance_variable_defined?(:@legs4_class_of_service)
          @legs4_class_of_service
        end

        #
        # ===区間4サービスクラスを設定する
        # @param:: legs4_class_of_service 区間4サービスクラス
        #
        def legs4_class_of_service=(legs4_class_of_service)
          @legs4_class_of_service = legs4_class_of_service
        end

        #
        # ===区間4クーポン番号を取得する
        # @return:: 区間4クーポン番号
        #
        def legs4_coupon_number
          @legs4_coupon_number = nil unless instance_variable_defined?(:@legs4_coupon_number)
          @legs4_coupon_number
        end

        #
        # ===区間4クーポン番号を設定する
        # @param:: legs4_coupon_number 区間4クーポン番号
        #
        def legs4_coupon_number=(legs4_coupon_number)
          @legs4_coupon_number = legs4_coupon_number
        end

        #
        # ===区間4出発空港を取得する
        # @return:: 区間4出発空港
        #
        def legs4_departure_airport
          @legs4_departure_airport = nil unless instance_variable_defined?(:@legs4_departure_airport)
          @legs4_departure_airport
        end

        #
        # ===区間4出発空港を設定する
        # @param:: legs4_departure_airport 区間4出発空港
        #
        def legs4_departure_airport=(legs4_departure_airport)
          @legs4_departure_airport = legs4_departure_airport
        end

        #
        # ===区間4出発国を取得する
        # @return:: 区間4出発国
        #
        def legs4_departure_country
          @legs4_departure_country = nil unless instance_variable_defined?(:@legs4_departure_country)
          @legs4_departure_country
        end

        #
        # ===区間4出発国を設定する
        # @param:: legs4_departure_country 区間4出発国
        #
        def legs4_departure_country=(legs4_departure_country)
          @legs4_departure_country = legs4_departure_country
        end

        #
        # ===区間4出発日を取得する
        # @return:: 区間4出発日
        #
        def legs4_departure_date
          @legs4_departure_date = nil unless instance_variable_defined?(:@legs4_departure_date)
          @legs4_departure_date
        end

        #
        # ===区間4出発日を設定する
        # @param:: legs4_departure_date 区間4出発日
        #
        def legs4_departure_date=(legs4_departure_date)
          @legs4_departure_date = legs4_departure_date
        end

        #
        # ===区間4出発時間を取得する
        # @return:: 区間4出発時間
        #
        def legs4_departure_time
          @legs4_departure_time = nil unless instance_variable_defined?(:@legs4_departure_time)
          @legs4_departure_time
        end

        #
        # ===区間4出発時間を設定する
        # @param:: legs4_departure_time 区間4出発時間
        #
        def legs4_departure_time=(legs4_departure_time)
          @legs4_departure_time = legs4_departure_time
        end

        #
        # ===区間4出国税を取得する
        # @return:: 区間4出国税
        #
        def legs4_departure_tax_amount
          @legs4_departure_tax_amount = nil unless instance_variable_defined?(:@legs4_departure_tax_amount)
          @legs4_departure_tax_amount
        end

        #
        # ===区間4出国税を設定する
        # @param:: legs4_departure_tax_amount 区間4出国税
        #
        def legs4_departure_tax_amount=(legs4_departure_tax_amount)
          @legs4_departure_tax_amount = legs4_departure_tax_amount
        end

        #
        # ===区間4チケット枚数を取得する
        # @return:: 区間4チケット枚数
        #
        def legs4_exchange_ticket_num
          @legs4_exchange_ticket_num = nil unless instance_variable_defined?(:@legs4_exchange_ticket_num)
          @legs4_exchange_ticket_num
        end

        #
        # ===区間4チケット枚数を設定する
        # @param:: legs4_exchange_ticket_num 区間4チケット枚数
        #
        def legs4_exchange_ticket_num=(legs4_exchange_ticket_num)
          @legs4_exchange_ticket_num = legs4_exchange_ticket_num
        end

        #
        # ===区間4運賃を取得する
        # @return:: 区間4運賃
        #
        def legs4_fare_amount
          @legs4_fare_amount = nil unless instance_variable_defined?(:@legs4_fare_amount)
          @legs4_fare_amount
        end

        #
        # ===区間4運賃を設定する
        # @param:: legs4_fare_amount 区間4運賃
        #
        def legs4_fare_amount=(legs4_fare_amount)
          @legs4_fare_amount = legs4_fare_amount
        end

        #
        # ===区間4基本運賃を取得する
        # @return:: 区間4基本運賃
        #
        def legs4_fare_basis
          @legs4_fare_basis = nil unless instance_variable_defined?(:@legs4_fare_basis)
          @legs4_fare_basis
        end

        #
        # ===区間4基本運賃を設定する
        # @param:: legs4_fare_basis 区間4基本運賃
        #
        def legs4_fare_basis=(legs4_fare_basis)
          @legs4_fare_basis = legs4_fare_basis
        end

        #
        # ===区間4手数料を取得する
        # @return:: 区間4手数料
        #
        def legs4_fees_amount
          @legs4_fees_amount = nil unless instance_variable_defined?(:@legs4_fees_amount)
          @legs4_fees_amount
        end

        #
        # ===区間4手数料を設定する
        # @param:: legs4_fees_amount 区間4手数料
        #
        def legs4_fees_amount=(legs4_fees_amount)
          @legs4_fees_amount = legs4_fees_amount
        end

        #
        # ===区間4フライトナンバーを取得する
        # @return:: 区間4フライトナンバー
        #
        def legs4_flight_number
          @legs4_flight_number = nil unless instance_variable_defined?(:@legs4_flight_number)
          @legs4_flight_number
        end

        #
        # ===区間4フライトナンバーを設定する
        # @param:: legs4_flight_number 区間4フライトナンバー
        #
        def legs4_flight_number=(legs4_flight_number)
          @legs4_flight_number = legs4_flight_number
        end

        #
        # ===区間4制限を取得する
        # @return:: 区間4制限
        #
        def legs4_restrictions
          @legs4_restrictions = nil unless instance_variable_defined?(:@legs4_restrictions)
          @legs4_restrictions
        end

        #
        # ===区間4制限を設定する
        # @param:: legs4_restrictions 区間4制限
        #
        def legs4_restrictions=(legs4_restrictions)
          @legs4_restrictions = legs4_restrictions
        end

        #
        # ===区間4途中下車許可を取得する
        # @return:: 区間4途中下車許可
        #
        def legs4_stop_over_allowed
          @legs4_stop_over_allowed = nil unless instance_variable_defined?(:@legs4_stop_over_allowed)
          @legs4_stop_over_allowed
        end

        #
        # ===区間4途中下車許可を設定する
        # @param:: legs4_stop_over_allowed 区間4途中下車許可
        #
        def legs4_stop_over_allowed=(legs4_stop_over_allowed)
          @legs4_stop_over_allowed = legs4_stop_over_allowed
        end

        #
        # ===区間4税を取得する
        # @return:: 区間4税
        #
        def legs4_tax_amount
          @legs4_tax_amount = nil unless instance_variable_defined?(:@legs4_tax_amount)
          @legs4_tax_amount
        end

        #
        # ===区間4税を設定する
        # @param:: legs4_tax_amount 区間4税
        #
        def legs4_tax_amount=(legs4_tax_amount)
          @legs4_tax_amount = legs4_tax_amount
        end

        #
        # ===区間4チケット番号を取得する
        # @return:: 区間4チケット番号
        #
        def legs4_ticket_number
          @legs4_ticket_number = nil unless instance_variable_defined?(:@legs4_ticket_number)
          @legs4_ticket_number
        end

        #
        # ===区間4チケット番号を設定する
        # @param:: legs4_ticket_number 区間4チケット番号
        #
        def legs4_ticket_number=(legs4_ticket_number)
          @legs4_ticket_number = legs4_ticket_number
        end

        #
        # ===区間5航空会社名を取得する
        # @return:: 区間5航空会社名
        #
        def legs5_airline_name
          @legs5_airline_name = nil unless instance_variable_defined?(:@legs5_airline_name)
          @legs5_airline_name
        end

        #
        # ===区間5航空会社名を設定する
        # @param:: legs5_airline_name 区間5航空会社名
        #
        def legs5_airline_name=(legs5_airline_name)
          @legs5_airline_name = legs5_airline_name
        end

        #
        # ===区間5航空会社コードを取得する
        # @return:: 区間5航空会社コード
        #
        def legs5_airline_code
          @legs5_airline_code = nil unless instance_variable_defined?(:@legs5_airline_code)
          @legs5_airline_code
        end

        #
        # ===区間5航空会社コードを設定する
        # @param:: legs5_airline_code 区間5航空会社コード
        #
        def legs5_airline_code=(legs5_airline_code)
          @legs5_airline_code = legs5_airline_code
        end

        #
        # ===区間5到着空港を取得する
        # @return:: 区間5到着空港
        #
        def legs5_arrival_airport
          @legs5_arrival_airport = nil unless instance_variable_defined?(:@legs5_arrival_airport)
          @legs5_arrival_airport
        end

        #
        # ===区間5到着空港を設定する
        # @param:: legs5_arrival_airport 区間5到着空港
        #
        def legs5_arrival_airport=(legs5_arrival_airport)
          @legs5_arrival_airport = legs5_arrival_airport
        end

        #
        # ===区間5到着国を取得する
        # @return:: 区間5到着国
        #
        def legs5_arrival_country
          @legs5_arrival_country = nil unless instance_variable_defined?(:@legs5_arrival_country)
          @legs5_arrival_country
        end

        #
        # ===区間5到着国を設定する
        # @param:: legs5_arrival_country 区間5到着国
        #
        def legs5_arrival_country=(legs5_arrival_country)
          @legs5_arrival_country = legs5_arrival_country
        end

        #
        # ===区間5到着日を取得する
        # @return:: 区間5到着日
        #
        def legs5_arrival_date
          @legs5_arrival_date = nil unless instance_variable_defined?(:@legs5_arrival_date)
          @legs5_arrival_date
        end

        #
        # ===区間5到着日を設定する
        # @param:: legs5_arrival_date 区間5到着日
        #
        def legs5_arrival_date=(legs5_arrival_date)
          @legs5_arrival_date = legs5_arrival_date
        end

        #
        # ===区間5到着時間を取得する
        # @return:: 区間5到着時間
        #
        def legs5_arrival_time
          @legs5_arrival_time = nil unless instance_variable_defined?(:@legs5_arrival_time)
          @legs5_arrival_time
        end

        #
        # ===区間5到着時間を設定する
        # @param:: legs5_arrival_time 区間5到着時間
        #
        def legs5_arrival_time=(legs5_arrival_time)
          @legs5_arrival_time = legs5_arrival_time
        end

        #
        # ===区間5会社コードを取得する
        # @return:: 区間5会社コード
        #
        def legs5_carrier_code
          @legs5_carrier_code = nil unless instance_variable_defined?(:@legs5_carrier_code)
          @legs5_carrier_code
        end

        #
        # ===区間5会社コードを設定する
        # @param:: legs5_carrier_code 区間5会社コード
        #
        def legs5_carrier_code=(legs5_carrier_code)
          @legs5_carrier_code = legs5_carrier_code
        end

        #
        # ===区間5サービスクラスを取得する
        # @return:: 区間5サービスクラス
        #
        def legs5_class_of_service
          @legs5_class_of_service = nil unless instance_variable_defined?(:@legs5_class_of_service)
          @legs5_class_of_service
        end

        #
        # ===区間5サービスクラスを設定する
        # @param:: legs5_class_of_service 区間5サービスクラス
        #
        def legs5_class_of_service=(legs5_class_of_service)
          @legs5_class_of_service = legs5_class_of_service
        end

        #
        # ===区間5クーポン番号を取得する
        # @return:: 区間5クーポン番号
        #
        def legs5_coupon_number
          @legs5_coupon_number = nil unless instance_variable_defined?(:@legs5_coupon_number)
          @legs5_coupon_number
        end

        #
        # ===区間5クーポン番号を設定する
        # @param:: legs5_coupon_number 区間5クーポン番号
        #
        def legs5_coupon_number=(legs5_coupon_number)
          @legs5_coupon_number = legs5_coupon_number
        end

        #
        # ===区間5出発空港を取得する
        # @return:: 区間5出発空港
        #
        def legs5_departure_airport
          @legs5_departure_airport = nil unless instance_variable_defined?(:@legs5_departure_airport)
          @legs5_departure_airport
        end

        #
        # ===区間5出発空港を設定する
        # @param:: legs5_departure_airport 区間5出発空港
        #
        def legs5_departure_airport=(legs5_departure_airport)
          @legs5_departure_airport = legs5_departure_airport
        end

        #
        # ===区間5出発国を取得する
        # @return:: 区間5出発国
        #
        def legs5_departure_country
          @legs5_departure_country = nil unless instance_variable_defined?(:@legs5_departure_country)
          @legs5_departure_country
        end

        #
        # ===区間5出発国を設定する
        # @param:: legs5_departure_country 区間5出発国
        #
        def legs5_departure_country=(legs5_departure_country)
          @legs5_departure_country = legs5_departure_country
        end

        #
        # ===区間5出発日を取得する
        # @return:: 区間5出発日
        #
        def legs5_departure_date
          @legs5_departure_date = nil unless instance_variable_defined?(:@legs5_departure_date)
          @legs5_departure_date
        end

        #
        # ===区間5出発日を設定する
        # @param:: legs5_departure_date 区間5出発日
        #
        def legs5_departure_date=(legs5_departure_date)
          @legs5_departure_date = legs5_departure_date
        end

        #
        # ===区間5出発時間を取得する
        # @return:: 区間5出発時間
        #
        def legs5_departure_time
          @legs5_departure_time = nil unless instance_variable_defined?(:@legs5_departure_time)
          @legs5_departure_time
        end

        #
        # ===区間5出発時間を設定する
        # @param:: legs5_departure_time 区間5出発時間
        #
        def legs5_departure_time=(legs5_departure_time)
          @legs5_departure_time = legs5_departure_time
        end

        #
        # ===区間5出国税を取得する
        # @return:: 区間5出国税
        #
        def legs5_departure_tax_amount
          @legs5_departure_tax_amount = nil unless instance_variable_defined?(:@legs5_departure_tax_amount)
          @legs5_departure_tax_amount
        end

        #
        # ===区間5出国税を設定する
        # @param:: legs5_departure_tax_amount 区間5出国税
        #
        def legs5_departure_tax_amount=(legs5_departure_tax_amount)
          @legs5_departure_tax_amount = legs5_departure_tax_amount
        end

        #
        # ===区間5チケット枚数を取得する
        # @return:: 区間5チケット枚数
        #
        def legs5_exchange_ticket_num
          @legs5_exchange_ticket_num = nil unless instance_variable_defined?(:@legs5_exchange_ticket_num)
          @legs5_exchange_ticket_num
        end

        #
        # ===区間5チケット枚数を設定する
        # @param:: legs5_exchange_ticket_num 区間5チケット枚数
        #
        def legs5_exchange_ticket_num=(legs5_exchange_ticket_num)
          @legs5_exchange_ticket_num = legs5_exchange_ticket_num
        end

        #
        # ===区間5運賃を取得する
        # @return:: 区間5運賃
        #
        def legs5_fare_amount
          @legs5_fare_amount = nil unless instance_variable_defined?(:@legs5_fare_amount)
          @legs5_fare_amount
        end

        #
        # ===区間5運賃を設定する
        # @param:: legs5_fare_amount 区間5運賃
        #
        def legs5_fare_amount=(legs5_fare_amount)
          @legs5_fare_amount = legs5_fare_amount
        end

        #
        # ===区間5基本運賃を取得する
        # @return:: 区間5基本運賃
        #
        def legs5_fare_basis
          @legs5_fare_basis = nil unless instance_variable_defined?(:@legs5_fare_basis)
          @legs5_fare_basis
        end

        #
        # ===区間5基本運賃を設定する
        # @param:: legs5_fare_basis 区間5基本運賃
        #
        def legs5_fare_basis=(legs5_fare_basis)
          @legs5_fare_basis = legs5_fare_basis
        end

        #
        # ===区間5手数料を取得する
        # @return:: 区間5手数料
        #
        def legs5_fees_amount
          @legs5_fees_amount = nil unless instance_variable_defined?(:@legs5_fees_amount)
          @legs5_fees_amount
        end

        #
        # ===区間5手数料を設定する
        # @param:: legs5_fees_amount 区間5手数料
        #
        def legs5_fees_amount=(legs5_fees_amount)
          @legs5_fees_amount = legs5_fees_amount
        end

        #
        # ===区間5フライトナンバーを取得する
        # @return:: 区間5フライトナンバー
        #
        def legs5_flight_number
          @legs5_flight_number = nil unless instance_variable_defined?(:@legs5_flight_number)
          @legs5_flight_number
        end

        #
        # ===区間5フライトナンバーを設定する
        # @param:: legs5_flight_number 区間5フライトナンバー
        #
        def legs5_flight_number=(legs5_flight_number)
          @legs5_flight_number = legs5_flight_number
        end

        #
        # ===区間5制限を取得する
        # @return:: 区間5制限
        #
        def legs5_restrictions
          @legs5_restrictions = nil unless instance_variable_defined?(:@legs5_restrictions)
          @legs5_restrictions
        end

        #
        # ===区間5制限を設定する
        # @param:: legs5_restrictions 区間5制限
        #
        def legs5_restrictions=(legs5_restrictions)
          @legs5_restrictions = legs5_restrictions
        end

        #
        # ===区間5途中下車許可を取得する
        # @return:: 区間5途中下車許可
        #
        def legs5_stop_over_allowed
          @legs5_stop_over_allowed = nil unless instance_variable_defined?(:@legs5_stop_over_allowed)
          @legs5_stop_over_allowed
        end

        #
        # ===区間5途中下車許可を設定する
        # @param:: legs5_stop_over_allowed 区間5途中下車許可
        #
        def legs5_stop_over_allowed=(legs5_stop_over_allowed)
          @legs5_stop_over_allowed = legs5_stop_over_allowed
        end

        #
        # ===区間5税を取得する
        # @return:: 区間5税
        #
        def legs5_tax_amount
          @legs5_tax_amount = nil unless instance_variable_defined?(:@legs5_tax_amount)
          @legs5_tax_amount
        end

        #
        # ===区間5税を設定する
        # @param:: legs5_tax_amount 区間5税
        #
        def legs5_tax_amount=(legs5_tax_amount)
          @legs5_tax_amount = legs5_tax_amount
        end

        #
        # ===区間5チケット番号を取得する
        # @return:: 区間5チケット番号
        #
        def legs5_ticket_number
          @legs5_ticket_number = nil unless instance_variable_defined?(:@legs5_ticket_number)
          @legs5_ticket_number
        end

        #
        # ===区間5チケット番号を設定する
        # @param:: legs5_ticket_number 区間5チケット番号
        #
        def legs5_ticket_number=(legs5_ticket_number)
          @legs5_ticket_number = legs5_ticket_number
        end

        #
        # ===区間6航空会社名を取得する
        # @return:: 区間6航空会社名
        #
        def legs6_airline_name
          @legs6_airline_name = nil unless instance_variable_defined?(:@legs6_airline_name)
          @legs6_airline_name
        end

        #
        # ===区間6航空会社名を設定する
        # @param:: legs6_airline_name 区間6航空会社名
        #
        def legs6_airline_name=(legs6_airline_name)
          @legs6_airline_name = legs6_airline_name
        end

        #
        # ===区間6航空会社コードを取得する
        # @return:: 区間6航空会社コード
        #
        def legs6_airline_code
          @legs6_airline_code = nil unless instance_variable_defined?(:@legs6_airline_code)
          @legs6_airline_code
        end

        #
        # ===区間6航空会社コードを設定する
        # @param:: legs6_airline_code 区間6航空会社コード
        #
        def legs6_airline_code=(legs6_airline_code)
          @legs6_airline_code = legs6_airline_code
        end

        #
        # ===区間6到着空港を取得する
        # @return:: 区間6到着空港
        #
        def legs6_arrival_airport
          @legs6_arrival_airport = nil unless instance_variable_defined?(:@legs6_arrival_airport)
          @legs6_arrival_airport
        end

        #
        # ===区間6到着空港を設定する
        # @param:: legs6_arrival_airport 区間6到着空港
        #
        def legs6_arrival_airport=(legs6_arrival_airport)
          @legs6_arrival_airport = legs6_arrival_airport
        end

        #
        # ===区間6到着国を取得する
        # @return:: 区間6到着国
        #
        def legs6_arrival_country
          @legs6_arrival_country = nil unless instance_variable_defined?(:@legs6_arrival_country)
          @legs6_arrival_country
        end

        #
        # ===区間6到着国を設定する
        # @param:: legs6_arrival_country 区間6到着国
        #
        def legs6_arrival_country=(legs6_arrival_country)
          @legs6_arrival_country = legs6_arrival_country
        end

        #
        # ===区間6到着日を取得する
        # @return:: 区間6到着日
        #
        def legs6_arrival_date
          @legs6_arrival_date = nil unless instance_variable_defined?(:@legs6_arrival_date)
          @legs6_arrival_date
        end

        #
        # ===区間6到着日を設定する
        # @param:: legs6_arrival_date 区間6到着日
        #
        def legs6_arrival_date=(legs6_arrival_date)
          @legs6_arrival_date = legs6_arrival_date
        end

        #
        # ===区間6到着時間を取得する
        # @return:: 区間6到着時間
        #
        def legs6_arrival_time
          @legs6_arrival_time = nil unless instance_variable_defined?(:@legs6_arrival_time)
          @legs6_arrival_time
        end

        #
        # ===区間6到着時間を設定する
        # @param:: legs6_arrival_time 区間6到着時間
        #
        def legs6_arrival_time=(legs6_arrival_time)
          @legs6_arrival_time = legs6_arrival_time
        end

        #
        # ===区間6会社コードを取得する
        # @return:: 区間6会社コード
        #
        def legs6_carrier_code
          @legs6_carrier_code = nil unless instance_variable_defined?(:@legs6_carrier_code)
          @legs6_carrier_code
        end

        #
        # ===区間6会社コードを設定する
        # @param:: legs6_carrier_code 区間6会社コード
        #
        def legs6_carrier_code=(legs6_carrier_code)
          @legs6_carrier_code = legs6_carrier_code
        end

        #
        # ===区間6サービスクラスを取得する
        # @return:: 区間6サービスクラス
        #
        def legs6_class_of_service
          @legs6_class_of_service = nil unless instance_variable_defined?(:@legs6_class_of_service)
          @legs6_class_of_service
        end

        #
        # ===区間6サービスクラスを設定する
        # @param:: legs6_class_of_service 区間6サービスクラス
        #
        def legs6_class_of_service=(legs6_class_of_service)
          @legs6_class_of_service = legs6_class_of_service
        end

        #
        # ===区間6クーポン番号を取得する
        # @return:: 区間6クーポン番号
        #
        def legs6_coupon_number
          @legs6_coupon_number = nil unless instance_variable_defined?(:@legs6_coupon_number)
          @legs6_coupon_number
        end

        #
        # ===区間6クーポン番号を設定する
        # @param:: legs6_coupon_number 区間6クーポン番号
        #
        def legs6_coupon_number=(legs6_coupon_number)
          @legs6_coupon_number = legs6_coupon_number
        end

        #
        # ===区間6出発空港を取得する
        # @return:: 区間6出発空港
        #
        def legs6_departure_airport
          @legs6_departure_airport = nil unless instance_variable_defined?(:@legs6_departure_airport)
          @legs6_departure_airport
        end

        #
        # ===区間6出発空港を設定する
        # @param:: legs6_departure_airport 区間6出発空港
        #
        def legs6_departure_airport=(legs6_departure_airport)
          @legs6_departure_airport = legs6_departure_airport
        end

        #
        # ===区間6出発国を取得する
        # @return:: 区間6出発国
        #
        def legs6_departure_country
          @legs6_departure_country = nil unless instance_variable_defined?(:@legs6_departure_country)
          @legs6_departure_country
        end

        #
        # ===区間6出発国を設定する
        # @param:: legs6_departure_country 区間6出発国
        #
        def legs6_departure_country=(legs6_departure_country)
          @legs6_departure_country = legs6_departure_country
        end

        #
        # ===区間6出発日を取得する
        # @return:: 区間6出発日
        #
        def legs6_departure_date
          @legs6_departure_date = nil unless instance_variable_defined?(:@legs6_departure_date)
          @legs6_departure_date
        end

        #
        # ===区間6出発日を設定する
        # @param:: legs6_departure_date 区間6出発日
        #
        def legs6_departure_date=(legs6_departure_date)
          @legs6_departure_date = legs6_departure_date
        end

        #
        # ===区間6出発時間を取得する
        # @return:: 区間6出発時間
        #
        def legs6_departure_time
          @legs6_departure_time = nil unless instance_variable_defined?(:@legs6_departure_time)
          @legs6_departure_time
        end

        #
        # ===区間6出発時間を設定する
        # @param:: legs6_departure_time 区間6出発時間
        #
        def legs6_departure_time=(legs6_departure_time)
          @legs6_departure_time = legs6_departure_time
        end

        #
        # ===区間6出国税を取得する
        # @return:: 区間6出国税
        #
        def legs6_departure_tax_amount
          @legs6_departure_tax_amount = nil unless instance_variable_defined?(:@legs6_departure_tax_amount)
          @legs6_departure_tax_amount
        end

        #
        # ===区間6出国税を設定する
        # @param:: legs6_departure_tax_amount 区間6出国税
        #
        def legs6_departure_tax_amount=(legs6_departure_tax_amount)
          @legs6_departure_tax_amount = legs6_departure_tax_amount
        end

        #
        # ===区間6チケット枚数を取得する
        # @return:: 区間6チケット枚数
        #
        def legs6_exchange_ticket_num
          @legs6_exchange_ticket_num = nil unless instance_variable_defined?(:@legs6_exchange_ticket_num)
          @legs6_exchange_ticket_num
        end

        #
        # ===区間6チケット枚数を設定する
        # @param:: legs6_exchange_ticket_num 区間6チケット枚数
        #
        def legs6_exchange_ticket_num=(legs6_exchange_ticket_num)
          @legs6_exchange_ticket_num = legs6_exchange_ticket_num
        end

        #
        # ===区間6運賃を取得する
        # @return:: 区間6運賃
        #
        def legs6_fare_amount
          @legs6_fare_amount = nil unless instance_variable_defined?(:@legs6_fare_amount)
          @legs6_fare_amount
        end

        #
        # ===区間6運賃を設定する
        # @param:: legs6_fare_amount 区間6運賃
        #
        def legs6_fare_amount=(legs6_fare_amount)
          @legs6_fare_amount = legs6_fare_amount
        end

        #
        # ===区間6基本運賃を取得する
        # @return:: 区間6基本運賃
        #
        def legs6_fare_basis
          @legs6_fare_basis = nil unless instance_variable_defined?(:@legs6_fare_basis)
          @legs6_fare_basis
        end

        #
        # ===区間6基本運賃を設定する
        # @param:: legs6_fare_basis 区間6基本運賃
        #
        def legs6_fare_basis=(legs6_fare_basis)
          @legs6_fare_basis = legs6_fare_basis
        end

        #
        # ===区間6手数料を取得する
        # @return:: 区間6手数料
        #
        def legs6_fees_amount
          @legs6_fees_amount = nil unless instance_variable_defined?(:@legs6_fees_amount)
          @legs6_fees_amount
        end

        #
        # ===区間6手数料を設定する
        # @param:: legs6_fees_amount 区間6手数料
        #
        def legs6_fees_amount=(legs6_fees_amount)
          @legs6_fees_amount = legs6_fees_amount
        end

        #
        # ===区間6フライトナンバーを取得する
        # @return:: 区間6フライトナンバー
        #
        def legs6_flight_number
          @legs6_flight_number = nil unless instance_variable_defined?(:@legs6_flight_number)
          @legs6_flight_number
        end

        #
        # ===区間6フライトナンバーを設定する
        # @param:: legs6_flight_number 区間6フライトナンバー
        #
        def legs6_flight_number=(legs6_flight_number)
          @legs6_flight_number = legs6_flight_number
        end

        #
        # ===区間6制限を取得する
        # @return:: 区間6制限
        #
        def legs6_restrictions
          @legs6_restrictions = nil unless instance_variable_defined?(:@legs6_restrictions)
          @legs6_restrictions
        end

        #
        # ===区間6制限を設定する
        # @param:: legs6_restrictions 区間6制限
        #
        def legs6_restrictions=(legs6_restrictions)
          @legs6_restrictions = legs6_restrictions
        end

        #
        # ===区間6途中下車許可を取得する
        # @return:: 区間6途中下車許可
        #
        def legs6_stop_over_allowed
          @legs6_stop_over_allowed = nil unless instance_variable_defined?(:@legs6_stop_over_allowed)
          @legs6_stop_over_allowed
        end

        #
        # ===区間6途中下車許可を設定する
        # @param:: legs6_stop_over_allowed 区間6途中下車許可
        #
        def legs6_stop_over_allowed=(legs6_stop_over_allowed)
          @legs6_stop_over_allowed = legs6_stop_over_allowed
        end

        #
        # ===区間6税を取得する
        # @return:: 区間6税
        #
        def legs6_tax_amount
          @legs6_tax_amount = nil unless instance_variable_defined?(:@legs6_tax_amount)
          @legs6_tax_amount
        end

        #
        # ===区間6税を設定する
        # @param:: legs6_tax_amount 区間6税
        #
        def legs6_tax_amount=(legs6_tax_amount)
          @legs6_tax_amount = legs6_tax_amount
        end

        #
        # ===区間6チケット番号を取得する
        # @return:: 区間6チケット番号
        #
        def legs6_ticket_number
          @legs6_ticket_number = nil unless instance_variable_defined?(:@legs6_ticket_number)
          @legs6_ticket_number
        end

        #
        # ===区間6チケット番号を設定する
        # @param:: legs6_ticket_number 区間6チケット番号
        #
        def legs6_ticket_number=(legs6_ticket_number)
          @legs6_ticket_number = legs6_ticket_number
        end

        #
        # ===区間7航空会社名を取得する
        # @return:: 区間7航空会社名
        #
        def legs7_airline_name
          @legs7_airline_name = nil unless instance_variable_defined?(:@legs7_airline_name)
          @legs7_airline_name
        end

        #
        # ===区間7航空会社名を設定する
        # @param:: legs7_airline_name 区間7航空会社名
        #
        def legs7_airline_name=(legs7_airline_name)
          @legs7_airline_name = legs7_airline_name
        end

        #
        # ===区間7航空会社コードを取得する
        # @return:: 区間7航空会社コード
        #
        def legs7_airline_code
          @legs7_airline_code = nil unless instance_variable_defined?(:@legs7_airline_code)
          @legs7_airline_code
        end

        #
        # ===区間7航空会社コードを設定する
        # @param:: legs7_airline_code 区間7航空会社コード
        #
        def legs7_airline_code=(legs7_airline_code)
          @legs7_airline_code = legs7_airline_code
        end

        #
        # ===区間7到着空港を取得する
        # @return:: 区間7到着空港
        #
        def legs7_arrival_airport
          @legs7_arrival_airport = nil unless instance_variable_defined?(:@legs7_arrival_airport)
          @legs7_arrival_airport
        end

        #
        # ===区間7到着空港を設定する
        # @param:: legs7_arrival_airport 区間7到着空港
        #
        def legs7_arrival_airport=(legs7_arrival_airport)
          @legs7_arrival_airport = legs7_arrival_airport
        end

        #
        # ===区間7到着国を取得する
        # @return:: 区間7到着国
        #
        def legs7_arrival_country
          @legs7_arrival_country = nil unless instance_variable_defined?(:@legs7_arrival_country)
          @legs7_arrival_country
        end

        #
        # ===区間7到着国を設定する
        # @param:: legs7_arrival_country 区間7到着国
        #
        def legs7_arrival_country=(legs7_arrival_country)
          @legs7_arrival_country = legs7_arrival_country
        end

        #
        # ===区間7到着日を取得する
        # @return:: 区間7到着日
        #
        def legs7_arrival_date
          @legs7_arrival_date = nil unless instance_variable_defined?(:@legs7_arrival_date)
          @legs7_arrival_date
        end

        #
        # ===区間7到着日を設定する
        # @param:: legs7_arrival_date 区間7到着日
        #
        def legs7_arrival_date=(legs7_arrival_date)
          @legs7_arrival_date = legs7_arrival_date
        end

        #
        # ===区間7到着時間を取得する
        # @return:: 区間7到着時間
        #
        def legs7_arrival_time
          @legs7_arrival_time = nil unless instance_variable_defined?(:@legs7_arrival_time)
          @legs7_arrival_time
        end

        #
        # ===区間7到着時間を設定する
        # @param:: legs7_arrival_time 区間7到着時間
        #
        def legs7_arrival_time=(legs7_arrival_time)
          @legs7_arrival_time = legs7_arrival_time
        end

        #
        # ===区間7会社コードを取得する
        # @return:: 区間7会社コード
        #
        def legs7_carrier_code
          @legs7_carrier_code = nil unless instance_variable_defined?(:@legs7_carrier_code)
          @legs7_carrier_code
        end

        #
        # ===区間7会社コードを設定する
        # @param:: legs7_carrier_code 区間7会社コード
        #
        def legs7_carrier_code=(legs7_carrier_code)
          @legs7_carrier_code = legs7_carrier_code
        end

        #
        # ===区間7サービスクラスを取得する
        # @return:: 区間7サービスクラス
        #
        def legs7_class_of_service
          @legs7_class_of_service = nil unless instance_variable_defined?(:@legs7_class_of_service)
          @legs7_class_of_service
        end

        #
        # ===区間7サービスクラスを設定する
        # @param:: legs7_class_of_service 区間7サービスクラス
        #
        def legs7_class_of_service=(legs7_class_of_service)
          @legs7_class_of_service = legs7_class_of_service
        end

        #
        # ===区間7クーポン番号を取得する
        # @return:: 区間7クーポン番号
        #
        def legs7_coupon_number
          @legs7_coupon_number = nil unless instance_variable_defined?(:@legs7_coupon_number)
          @legs7_coupon_number
        end

        #
        # ===区間7クーポン番号を設定する
        # @param:: legs7_coupon_number 区間7クーポン番号
        #
        def legs7_coupon_number=(legs7_coupon_number)
          @legs7_coupon_number = legs7_coupon_number
        end

        #
        # ===区間7出発空港を取得する
        # @return:: 区間7出発空港
        #
        def legs7_departure_airport
          @legs7_departure_airport = nil unless instance_variable_defined?(:@legs7_departure_airport)
          @legs7_departure_airport
        end

        #
        # ===区間7出発空港を設定する
        # @param:: legs7_departure_airport 区間7出発空港
        #
        def legs7_departure_airport=(legs7_departure_airport)
          @legs7_departure_airport = legs7_departure_airport
        end

        #
        # ===区間7出発国を取得する
        # @return:: 区間7出発国
        #
        def legs7_departure_country
          @legs7_departure_country = nil unless instance_variable_defined?(:@legs7_departure_country)
          @legs7_departure_country
        end

        #
        # ===区間7出発国を設定する
        # @param:: legs7_departure_country 区間7出発国
        #
        def legs7_departure_country=(legs7_departure_country)
          @legs7_departure_country = legs7_departure_country
        end

        #
        # ===区間7出発日を取得する
        # @return:: 区間7出発日
        #
        def legs7_departure_date
          @legs7_departure_date = nil unless instance_variable_defined?(:@legs7_departure_date)
          @legs7_departure_date
        end

        #
        # ===区間7出発日を設定する
        # @param:: legs7_departure_date 区間7出発日
        #
        def legs7_departure_date=(legs7_departure_date)
          @legs7_departure_date = legs7_departure_date
        end

        #
        # ===区間7出発時間を取得する
        # @return:: 区間7出発時間
        #
        def legs7_departure_time
          @legs7_departure_time = nil unless instance_variable_defined?(:@legs7_departure_time)
          @legs7_departure_time
        end

        #
        # ===区間7出発時間を設定する
        # @param:: legs7_departure_time 区間7出発時間
        #
        def legs7_departure_time=(legs7_departure_time)
          @legs7_departure_time = legs7_departure_time
        end

        #
        # ===区間7出国税を取得する
        # @return:: 区間7出国税
        #
        def legs7_departure_tax_amount
          @legs7_departure_tax_amount = nil unless instance_variable_defined?(:@legs7_departure_tax_amount)
          @legs7_departure_tax_amount
        end

        #
        # ===区間7出国税を設定する
        # @param:: legs7_departure_tax_amount 区間7出国税
        #
        def legs7_departure_tax_amount=(legs7_departure_tax_amount)
          @legs7_departure_tax_amount = legs7_departure_tax_amount
        end

        #
        # ===区間7チケット枚数を取得する
        # @return:: 区間7チケット枚数
        #
        def legs7_exchange_ticket_num
          @legs7_exchange_ticket_num = nil unless instance_variable_defined?(:@legs7_exchange_ticket_num)
          @legs7_exchange_ticket_num
        end

        #
        # ===区間7チケット枚数を設定する
        # @param:: legs7_exchange_ticket_num 区間7チケット枚数
        #
        def legs7_exchange_ticket_num=(legs7_exchange_ticket_num)
          @legs7_exchange_ticket_num = legs7_exchange_ticket_num
        end

        #
        # ===区間7運賃を取得する
        # @return:: 区間7運賃
        #
        def legs7_fare_amount
          @legs7_fare_amount = nil unless instance_variable_defined?(:@legs7_fare_amount)
          @legs7_fare_amount
        end

        #
        # ===区間7運賃を設定する
        # @param:: legs7_fare_amount 区間7運賃
        #
        def legs7_fare_amount=(legs7_fare_amount)
          @legs7_fare_amount = legs7_fare_amount
        end

        #
        # ===区間7基本運賃を取得する
        # @return:: 区間7基本運賃
        #
        def legs7_fare_basis
          @legs7_fare_basis = nil unless instance_variable_defined?(:@legs7_fare_basis)
          @legs7_fare_basis
        end

        #
        # ===区間7基本運賃を設定する
        # @param:: legs7_fare_basis 区間7基本運賃
        #
        def legs7_fare_basis=(legs7_fare_basis)
          @legs7_fare_basis = legs7_fare_basis
        end

        #
        # ===区間7手数料を取得する
        # @return:: 区間7手数料
        #
        def legs7_fees_amount
          @legs7_fees_amount = nil unless instance_variable_defined?(:@legs7_fees_amount)
          @legs7_fees_amount
        end

        #
        # ===区間7手数料を設定する
        # @param:: legs7_fees_amount 区間7手数料
        #
        def legs7_fees_amount=(legs7_fees_amount)
          @legs7_fees_amount = legs7_fees_amount
        end

        #
        # ===区間7フライトナンバーを取得する
        # @return:: 区間7フライトナンバー
        #
        def legs7_flight_number
          @legs7_flight_number = nil unless instance_variable_defined?(:@legs7_flight_number)
          @legs7_flight_number
        end

        #
        # ===区間7フライトナンバーを設定する
        # @param:: legs7_flight_number 区間7フライトナンバー
        #
        def legs7_flight_number=(legs7_flight_number)
          @legs7_flight_number = legs7_flight_number
        end

        #
        # ===区間7制限を取得する
        # @return:: 区間7制限
        #
        def legs7_restrictions
          @legs7_restrictions = nil unless instance_variable_defined?(:@legs7_restrictions)
          @legs7_restrictions
        end

        #
        # ===区間7制限を設定する
        # @param:: legs7_restrictions 区間7制限
        #
        def legs7_restrictions=(legs7_restrictions)
          @legs7_restrictions = legs7_restrictions
        end

        #
        # ===区間7途中下車許可を取得する
        # @return:: 区間7途中下車許可
        #
        def legs7_stop_over_allowed
          @legs7_stop_over_allowed = nil unless instance_variable_defined?(:@legs7_stop_over_allowed)
          @legs7_stop_over_allowed
        end

        #
        # ===区間7途中下車許可を設定する
        # @param:: legs7_stop_over_allowed 区間7途中下車許可
        #
        def legs7_stop_over_allowed=(legs7_stop_over_allowed)
          @legs7_stop_over_allowed = legs7_stop_over_allowed
        end

        #
        # ===区間7税を取得する
        # @return:: 区間7税
        #
        def legs7_tax_amount
          @legs7_tax_amount = nil unless instance_variable_defined?(:@legs7_tax_amount)
          @legs7_tax_amount
        end

        #
        # ===区間7税を設定する
        # @param:: legs7_tax_amount 区間7税
        #
        def legs7_tax_amount=(legs7_tax_amount)
          @legs7_tax_amount = legs7_tax_amount
        end

        #
        # ===区間7チケット番号を取得する
        # @return:: 区間7チケット番号
        #
        def legs7_ticket_number
          @legs7_ticket_number = nil unless instance_variable_defined?(:@legs7_ticket_number)
          @legs7_ticket_number
        end

        #
        # ===区間7チケット番号を設定する
        # @param:: legs7_ticket_number 区間7チケット番号
        #
        def legs7_ticket_number=(legs7_ticket_number)
          @legs7_ticket_number = legs7_ticket_number
        end

        #
        # ===区間8航空会社名を取得する
        # @return:: 区間8航空会社名
        #
        def legs8_airline_name
          @legs8_airline_name = nil unless instance_variable_defined?(:@legs8_airline_name)
          @legs8_airline_name
        end

        #
        # ===区間8航空会社名を設定する
        # @param:: legs8_airline_name 区間8航空会社名
        #
        def legs8_airline_name=(legs8_airline_name)
          @legs8_airline_name = legs8_airline_name
        end

        #
        # ===区間8航空会社コードを取得する
        # @return:: 区間8航空会社コード
        #
        def legs8_airline_code
          @legs8_airline_code = nil unless instance_variable_defined?(:@legs8_airline_code)
          @legs8_airline_code
        end

        #
        # ===区間8航空会社コードを設定する
        # @param:: legs8_airline_code 区間8航空会社コード
        #
        def legs8_airline_code=(legs8_airline_code)
          @legs8_airline_code = legs8_airline_code
        end

        #
        # ===区間8到着空港を取得する
        # @return:: 区間8到着空港
        #
        def legs8_arrival_airport
          @legs8_arrival_airport = nil unless instance_variable_defined?(:@legs8_arrival_airport)
          @legs8_arrival_airport
        end

        #
        # ===区間8到着空港を設定する
        # @param:: legs8_arrival_airport 区間8到着空港
        #
        def legs8_arrival_airport=(legs8_arrival_airport)
          @legs8_arrival_airport = legs8_arrival_airport
        end

        #
        # ===区間8到着国を取得する
        # @return:: 区間8到着国
        #
        def legs8_arrival_country
          @legs8_arrival_country = nil unless instance_variable_defined?(:@legs8_arrival_country)
          @legs8_arrival_country
        end

        #
        # ===区間8到着国を設定する
        # @param:: legs8_arrival_country 区間8到着国
        #
        def legs8_arrival_country=(legs8_arrival_country)
          @legs8_arrival_country = legs8_arrival_country
        end

        #
        # ===区間8到着日を取得する
        # @return:: 区間8到着日
        #
        def legs8_arrival_date
          @legs8_arrival_date = nil unless instance_variable_defined?(:@legs8_arrival_date)
          @legs8_arrival_date
        end

        #
        # ===区間8到着日を設定する
        # @param:: legs8_arrival_date 区間8到着日
        #
        def legs8_arrival_date=(legs8_arrival_date)
          @legs8_arrival_date = legs8_arrival_date
        end

        #
        # ===区間8到着時間を取得する
        # @return:: 区間8到着時間
        #
        def legs8_arrival_time
          @legs8_arrival_time = nil unless instance_variable_defined?(:@legs8_arrival_time)
          @legs8_arrival_time
        end

        #
        # ===区間8到着時間を設定する
        # @param:: legs8_arrival_time 区間8到着時間
        #
        def legs8_arrival_time=(legs8_arrival_time)
          @legs8_arrival_time = legs8_arrival_time
        end

        #
        # ===区間8会社コードを取得する
        # @return:: 区間8会社コード
        #
        def legs8_carrier_code
          @legs8_carrier_code = nil unless instance_variable_defined?(:@legs8_carrier_code)
          @legs8_carrier_code
        end

        #
        # ===区間8会社コードを設定する
        # @param:: legs8_carrier_code 区間8会社コード
        #
        def legs8_carrier_code=(legs8_carrier_code)
          @legs8_carrier_code = legs8_carrier_code
        end

        #
        # ===区間8サービスクラスを取得する
        # @return:: 区間8サービスクラス
        #
        def legs8_class_of_service
          @legs8_class_of_service = nil unless instance_variable_defined?(:@legs8_class_of_service)
          @legs8_class_of_service
        end

        #
        # ===区間8サービスクラスを設定する
        # @param:: legs8_class_of_service 区間8サービスクラス
        #
        def legs8_class_of_service=(legs8_class_of_service)
          @legs8_class_of_service = legs8_class_of_service
        end

        #
        # ===区間8クーポン番号を取得する
        # @return:: 区間8クーポン番号
        #
        def legs8_coupon_number
          @legs8_coupon_number = nil unless instance_variable_defined?(:@legs8_coupon_number)
          @legs8_coupon_number
        end

        #
        # ===区間8クーポン番号を設定する
        # @param:: legs8_coupon_number 区間8クーポン番号
        #
        def legs8_coupon_number=(legs8_coupon_number)
          @legs8_coupon_number = legs8_coupon_number
        end

        #
        # ===区間8出発空港を取得する
        # @return:: 区間8出発空港
        #
        def legs8_departure_airport
          @legs8_departure_airport = nil unless instance_variable_defined?(:@legs8_departure_airport)
          @legs8_departure_airport
        end

        #
        # ===区間8出発空港を設定する
        # @param:: legs8_departure_airport 区間8出発空港
        #
        def legs8_departure_airport=(legs8_departure_airport)
          @legs8_departure_airport = legs8_departure_airport
        end

        #
        # ===区間8出発国を取得する
        # @return:: 区間8出発国
        #
        def legs8_departure_country
          @legs8_departure_country = nil unless instance_variable_defined?(:@legs8_departure_country)
          @legs8_departure_country
        end

        #
        # ===区間8出発国を設定する
        # @param:: legs8_departure_country 区間8出発国
        #
        def legs8_departure_country=(legs8_departure_country)
          @legs8_departure_country = legs8_departure_country
        end

        #
        # ===区間8出発日を取得する
        # @return:: 区間8出発日
        #
        def legs8_departure_date
          @legs8_departure_date = nil unless instance_variable_defined?(:@legs8_departure_date)
          @legs8_departure_date
        end

        #
        # ===区間8出発日を設定する
        # @param:: legs8_departure_date 区間8出発日
        #
        def legs8_departure_date=(legs8_departure_date)
          @legs8_departure_date = legs8_departure_date
        end

        #
        # ===区間8出発時間を取得する
        # @return:: 区間8出発時間
        #
        def legs8_departure_time
          @legs8_departure_time = nil unless instance_variable_defined?(:@legs8_departure_time)
          @legs8_departure_time
        end

        #
        # ===区間8出発時間を設定する
        # @param:: legs8_departure_time 区間8出発時間
        #
        def legs8_departure_time=(legs8_departure_time)
          @legs8_departure_time = legs8_departure_time
        end

        #
        # ===区間8出国税を取得する
        # @return:: 区間8出国税
        #
        def legs8_departure_tax_amount
          @legs8_departure_tax_amount = nil unless instance_variable_defined?(:@legs8_departure_tax_amount)
          @legs8_departure_tax_amount
        end

        #
        # ===区間8出国税を設定する
        # @param:: legs8_departure_tax_amount 区間8出国税
        #
        def legs8_departure_tax_amount=(legs8_departure_tax_amount)
          @legs8_departure_tax_amount = legs8_departure_tax_amount
        end

        #
        # ===区間8チケット枚数を取得する
        # @return:: 区間8チケット枚数
        #
        def legs8_exchange_ticket_num
          @legs8_exchange_ticket_num = nil unless instance_variable_defined?(:@legs8_exchange_ticket_num)
          @legs8_exchange_ticket_num
        end

        #
        # ===区間8チケット枚数を設定する
        # @param:: legs8_exchange_ticket_num 区間8チケット枚数
        #
        def legs8_exchange_ticket_num=(legs8_exchange_ticket_num)
          @legs8_exchange_ticket_num = legs8_exchange_ticket_num
        end

        #
        # ===区間8運賃を取得する
        # @return:: 区間8運賃
        #
        def legs8_fare_amount
          @legs8_fare_amount = nil unless instance_variable_defined?(:@legs8_fare_amount)
          @legs8_fare_amount
        end

        #
        # ===区間8運賃を設定する
        # @param:: legs8_fare_amount 区間8運賃
        #
        def legs8_fare_amount=(legs8_fare_amount)
          @legs8_fare_amount = legs8_fare_amount
        end

        #
        # ===区間8基本運賃を取得する
        # @return:: 区間8基本運賃
        #
        def legs8_fare_basis
          @legs8_fare_basis = nil unless instance_variable_defined?(:@legs8_fare_basis)
          @legs8_fare_basis
        end

        #
        # ===区間8基本運賃を設定する
        # @param:: legs8_fare_basis 区間8基本運賃
        #
        def legs8_fare_basis=(legs8_fare_basis)
          @legs8_fare_basis = legs8_fare_basis
        end

        #
        # ===区間8手数料を取得する
        # @return:: 区間8手数料
        #
        def legs8_fees_amount
          @legs8_fees_amount = nil unless instance_variable_defined?(:@legs8_fees_amount)
          @legs8_fees_amount
        end

        #
        # ===区間8手数料を設定する
        # @param:: legs8_fees_amount 区間8手数料
        #
        def legs8_fees_amount=(legs8_fees_amount)
          @legs8_fees_amount = legs8_fees_amount
        end

        #
        # ===区間8フライトナンバーを取得する
        # @return:: 区間8フライトナンバー
        #
        def legs8_flight_number
          @legs8_flight_number = nil unless instance_variable_defined?(:@legs8_flight_number)
          @legs8_flight_number
        end

        #
        # ===区間8フライトナンバーを設定する
        # @param:: legs8_flight_number 区間8フライトナンバー
        #
        def legs8_flight_number=(legs8_flight_number)
          @legs8_flight_number = legs8_flight_number
        end

        #
        # ===区間8制限を取得する
        # @return:: 区間8制限
        #
        def legs8_restrictions
          @legs8_restrictions = nil unless instance_variable_defined?(:@legs8_restrictions)
          @legs8_restrictions
        end

        #
        # ===区間8制限を設定する
        # @param:: legs8_restrictions 区間8制限
        #
        def legs8_restrictions=(legs8_restrictions)
          @legs8_restrictions = legs8_restrictions
        end

        #
        # ===区間8途中下車許可を取得する
        # @return:: 区間8途中下車許可
        #
        def legs8_stop_over_allowed
          @legs8_stop_over_allowed = nil unless instance_variable_defined?(:@legs8_stop_over_allowed)
          @legs8_stop_over_allowed
        end

        #
        # ===区間8途中下車許可を設定する
        # @param:: legs8_stop_over_allowed 区間8途中下車許可
        #
        def legs8_stop_over_allowed=(legs8_stop_over_allowed)
          @legs8_stop_over_allowed = legs8_stop_over_allowed
        end

        #
        # ===区間8税を取得する
        # @return:: 区間8税
        #
        def legs8_tax_amount
          @legs8_tax_amount = nil unless instance_variable_defined?(:@legs8_tax_amount)
          @legs8_tax_amount
        end

        #
        # ===区間8税を設定する
        # @param:: legs8_tax_amount 区間8税
        #
        def legs8_tax_amount=(legs8_tax_amount)
          @legs8_tax_amount = legs8_tax_amount
        end

        #
        # ===区間8チケット番号を取得する
        # @return:: 区間8チケット番号
        #
        def legs8_ticket_number
          @legs8_ticket_number = nil unless instance_variable_defined?(:@legs8_ticket_number)
          @legs8_ticket_number
        end

        #
        # ===区間8チケット番号を設定する
        # @param:: legs8_ticket_number 区間8チケット番号
        #
        def legs8_ticket_number=(legs8_ticket_number)
          @legs8_ticket_number = legs8_ticket_number
        end

        #
        # ===区間9航空会社名を取得する
        # @return:: 区間9航空会社名
        #
        def legs9_airline_name
          @legs9_airline_name = nil unless instance_variable_defined?(:@legs9_airline_name)
          @legs9_airline_name
        end

        #
        # ===区間9航空会社名を設定する
        # @param:: legs9_airline_name 区間9航空会社名
        #
        def legs9_airline_name=(legs9_airline_name)
          @legs9_airline_name = legs9_airline_name
        end

        #
        # ===区間9航空会社コードを取得する
        # @return:: 区間9航空会社コード
        #
        def legs9_airline_code
          @legs9_airline_code = nil unless instance_variable_defined?(:@legs9_airline_code)
          @legs9_airline_code
        end

        #
        # ===区間9航空会社コードを設定する
        # @param:: legs9_airline_code 区間9航空会社コード
        #
        def legs9_airline_code=(legs9_airline_code)
          @legs9_airline_code = legs9_airline_code
        end

        #
        # ===区間9到着空港を取得する
        # @return:: 区間9到着空港
        #
        def legs9_arrival_airport
          @legs9_arrival_airport = nil unless instance_variable_defined?(:@legs9_arrival_airport)
          @legs9_arrival_airport
        end

        #
        # ===区間9到着空港を設定する
        # @param:: legs9_arrival_airport 区間9到着空港
        #
        def legs9_arrival_airport=(legs9_arrival_airport)
          @legs9_arrival_airport = legs9_arrival_airport
        end

        #
        # ===区間9到着国を取得する
        # @return:: 区間9到着国
        #
        def legs9_arrival_country
          @legs9_arrival_country = nil unless instance_variable_defined?(:@legs9_arrival_country)
          @legs9_arrival_country
        end

        #
        # ===区間9到着国を設定する
        # @param:: legs9_arrival_country 区間9到着国
        #
        def legs9_arrival_country=(legs9_arrival_country)
          @legs9_arrival_country = legs9_arrival_country
        end

        #
        # ===区間9到着日を取得する
        # @return:: 区間9到着日
        #
        def legs9_arrival_date
          @legs9_arrival_date = nil unless instance_variable_defined?(:@legs9_arrival_date)
          @legs9_arrival_date
        end

        #
        # ===区間9到着日を設定する
        # @param:: legs9_arrival_date 区間9到着日
        #
        def legs9_arrival_date=(legs9_arrival_date)
          @legs9_arrival_date = legs9_arrival_date
        end

        #
        # ===区間9到着時間を取得する
        # @return:: 区間9到着時間
        #
        def legs9_arrival_time
          @legs9_arrival_time = nil unless instance_variable_defined?(:@legs9_arrival_time)
          @legs9_arrival_time
        end

        #
        # ===区間9到着時間を設定する
        # @param:: legs9_arrival_time 区間9到着時間
        #
        def legs9_arrival_time=(legs9_arrival_time)
          @legs9_arrival_time = legs9_arrival_time
        end

        #
        # ===区間9会社コードを取得する
        # @return:: 区間9会社コード
        #
        def legs9_carrier_code
          @legs9_carrier_code = nil unless instance_variable_defined?(:@legs9_carrier_code)
          @legs9_carrier_code
        end

        #
        # ===区間9会社コードを設定する
        # @param:: legs9_carrier_code 区間9会社コード
        #
        def legs9_carrier_code=(legs9_carrier_code)
          @legs9_carrier_code = legs9_carrier_code
        end

        #
        # ===区間9サービスクラスを取得する
        # @return:: 区間9サービスクラス
        #
        def legs9_class_of_service
          @legs9_class_of_service = nil unless instance_variable_defined?(:@legs9_class_of_service)
          @legs9_class_of_service
        end

        #
        # ===区間9サービスクラスを設定する
        # @param:: legs9_class_of_service 区間9サービスクラス
        #
        def legs9_class_of_service=(legs9_class_of_service)
          @legs9_class_of_service = legs9_class_of_service
        end

        #
        # ===区間9クーポン番号を取得する
        # @return:: 区間9クーポン番号
        #
        def legs9_coupon_number
          @legs9_coupon_number = nil unless instance_variable_defined?(:@legs9_coupon_number)
          @legs9_coupon_number
        end

        #
        # ===区間9クーポン番号を設定する
        # @param:: legs9_coupon_number 区間9クーポン番号
        #
        def legs9_coupon_number=(legs9_coupon_number)
          @legs9_coupon_number = legs9_coupon_number
        end

        #
        # ===区間9出発空港を取得する
        # @return:: 区間9出発空港
        #
        def legs9_departure_airport
          @legs9_departure_airport = nil unless instance_variable_defined?(:@legs9_departure_airport)
          @legs9_departure_airport
        end

        #
        # ===区間9出発空港を設定する
        # @param:: legs9_departure_airport 区間9出発空港
        #
        def legs9_departure_airport=(legs9_departure_airport)
          @legs9_departure_airport = legs9_departure_airport
        end

        #
        # ===区間9出発国を取得する
        # @return:: 区間9出発国
        #
        def legs9_departure_country
          @legs9_departure_country = nil unless instance_variable_defined?(:@legs9_departure_country)
          @legs9_departure_country
        end

        #
        # ===区間9出発国を設定する
        # @param:: legs9_departure_country 区間9出発国
        #
        def legs9_departure_country=(legs9_departure_country)
          @legs9_departure_country = legs9_departure_country
        end

        #
        # ===区間9出発日を取得する
        # @return:: 区間9出発日
        #
        def legs9_departure_date
          @legs9_departure_date = nil unless instance_variable_defined?(:@legs9_departure_date)
          @legs9_departure_date
        end

        #
        # ===区間9出発日を設定する
        # @param:: legs9_departure_date 区間9出発日
        #
        def legs9_departure_date=(legs9_departure_date)
          @legs9_departure_date = legs9_departure_date
        end

        #
        # ===区間9出発時間を取得する
        # @return:: 区間9出発時間
        #
        def legs9_departure_time
          @legs9_departure_time = nil unless instance_variable_defined?(:@legs9_departure_time)
          @legs9_departure_time
        end

        #
        # ===区間9出発時間を設定する
        # @param:: legs9_departure_time 区間9出発時間
        #
        def legs9_departure_time=(legs9_departure_time)
          @legs9_departure_time = legs9_departure_time
        end

        #
        # ===区間9出国税を取得する
        # @return:: 区間9出国税
        #
        def legs9_departure_tax_amount
          @legs9_departure_tax_amount = nil unless instance_variable_defined?(:@legs9_departure_tax_amount)
          @legs9_departure_tax_amount
        end

        #
        # ===区間9出国税を設定する
        # @param:: legs9_departure_tax_amount 区間9出国税
        #
        def legs9_departure_tax_amount=(legs9_departure_tax_amount)
          @legs9_departure_tax_amount = legs9_departure_tax_amount
        end

        #
        # ===区間9チケット枚数を取得する
        # @return:: 区間9チケット枚数
        #
        def legs9_exchange_ticket_num
          @legs9_exchange_ticket_num = nil unless instance_variable_defined?(:@legs9_exchange_ticket_num)
          @legs9_exchange_ticket_num
        end

        #
        # ===区間9チケット枚数を設定する
        # @param:: legs9_exchange_ticket_num 区間9チケット枚数
        #
        def legs9_exchange_ticket_num=(legs9_exchange_ticket_num)
          @legs9_exchange_ticket_num = legs9_exchange_ticket_num
        end

        #
        # ===区間9運賃を取得する
        # @return:: 区間9運賃
        #
        def legs9_fare_amount
          @legs9_fare_amount = nil unless instance_variable_defined?(:@legs9_fare_amount)
          @legs9_fare_amount
        end

        #
        # ===区間9運賃を設定する
        # @param:: legs9_fare_amount 区間9運賃
        #
        def legs9_fare_amount=(legs9_fare_amount)
          @legs9_fare_amount = legs9_fare_amount
        end

        #
        # ===区間9基本運賃を取得する
        # @return:: 区間9基本運賃
        #
        def legs9_fare_basis
          @legs9_fare_basis = nil unless instance_variable_defined?(:@legs9_fare_basis)
          @legs9_fare_basis
        end

        #
        # ===区間9基本運賃を設定する
        # @param:: legs9_fare_basis 区間9基本運賃
        #
        def legs9_fare_basis=(legs9_fare_basis)
          @legs9_fare_basis = legs9_fare_basis
        end

        #
        # ===区間9手数料を取得する
        # @return:: 区間9手数料
        #
        def legs9_fees_amount
          @legs9_fees_amount = nil unless instance_variable_defined?(:@legs9_fees_amount)
          @legs9_fees_amount
        end

        #
        # ===区間9手数料を設定する
        # @param:: legs9_fees_amount 区間9手数料
        #
        def legs9_fees_amount=(legs9_fees_amount)
          @legs9_fees_amount = legs9_fees_amount
        end

        #
        # ===区間9フライトナンバーを取得する
        # @return:: 区間9フライトナンバー
        #
        def legs9_flight_number
          @legs9_flight_number = nil unless instance_variable_defined?(:@legs9_flight_number)
          @legs9_flight_number
        end

        #
        # ===区間9フライトナンバーを設定する
        # @param:: legs9_flight_number 区間9フライトナンバー
        #
        def legs9_flight_number=(legs9_flight_number)
          @legs9_flight_number = legs9_flight_number
        end

        #
        # ===区間9制限を取得する
        # @return:: 区間9制限
        #
        def legs9_restrictions
          @legs9_restrictions = nil unless instance_variable_defined?(:@legs9_restrictions)
          @legs9_restrictions
        end

        #
        # ===区間9制限を設定する
        # @param:: legs9_restrictions 区間9制限
        #
        def legs9_restrictions=(legs9_restrictions)
          @legs9_restrictions = legs9_restrictions
        end

        #
        # ===区間9途中下車許可を取得する
        # @return:: 区間9途中下車許可
        #
        def legs9_stop_over_allowed
          @legs9_stop_over_allowed = nil unless instance_variable_defined?(:@legs9_stop_over_allowed)
          @legs9_stop_over_allowed
        end

        #
        # ===区間9途中下車許可を設定する
        # @param:: legs9_stop_over_allowed 区間9途中下車許可
        #
        def legs9_stop_over_allowed=(legs9_stop_over_allowed)
          @legs9_stop_over_allowed = legs9_stop_over_allowed
        end

        #
        # ===区間9税を取得する
        # @return:: 区間9税
        #
        def legs9_tax_amount
          @legs9_tax_amount = nil unless instance_variable_defined?(:@legs9_tax_amount)
          @legs9_tax_amount
        end

        #
        # ===区間9税を設定する
        # @param:: legs9_tax_amount 区間9税
        #
        def legs9_tax_amount=(legs9_tax_amount)
          @legs9_tax_amount = legs9_tax_amount
        end

        #
        # ===区間9チケット番号を取得する
        # @return:: 区間9チケット番号
        #
        def legs9_ticket_number
          @legs9_ticket_number = nil unless instance_variable_defined?(:@legs9_ticket_number)
          @legs9_ticket_number
        end

        #
        # ===区間9チケット番号を設定する
        # @param:: legs9_ticket_number 区間9チケット番号
        #
        def legs9_ticket_number=(legs9_ticket_number)
          @legs9_ticket_number = legs9_ticket_number
        end

        #
        # ===区間10航空会社名を取得する
        # @return:: 区間10航空会社名
        #
        def legs10_airline_name
          @legs10_airline_name = nil unless instance_variable_defined?(:@legs10_airline_name)
          @legs10_airline_name
        end

        #
        # ===区間10航空会社名を設定する
        # @param:: legs10_airline_name 区間10航空会社名
        #
        def legs10_airline_name=(legs10_airline_name)
          @legs10_airline_name = legs10_airline_name
        end

        #
        # ===区間10航空会社コードを取得する
        # @return:: 区間10航空会社コード
        #
        def legs10_airline_code
          @legs10_airline_code = nil unless instance_variable_defined?(:@legs10_airline_code)
          @legs10_airline_code
        end

        #
        # ===区間10航空会社コードを設定する
        # @param:: legs10_airline_code 区間10航空会社コード
        #
        def legs10_airline_code=(legs10_airline_code)
          @legs10_airline_code = legs10_airline_code
        end

        #
        # ===区間10到着空港を取得する
        # @return:: 区間10到着空港
        #
        def legs10_arrival_airport
          @legs10_arrival_airport = nil unless instance_variable_defined?(:@legs10_arrival_airport)
          @legs10_arrival_airport
        end

        #
        # ===区間10到着空港を設定する
        # @param:: legs10_arrival_airport 区間10到着空港
        #
        def legs10_arrival_airport=(legs10_arrival_airport)
          @legs10_arrival_airport = legs10_arrival_airport
        end

        #
        # ===区間10到着国を取得する
        # @return:: 区間10到着国
        #
        def legs10_arrival_country
          @legs10_arrival_country = nil unless instance_variable_defined?(:@legs10_arrival_country)
          @legs10_arrival_country
        end

        #
        # ===区間10到着国を設定する
        # @param:: legs10_arrival_country 区間10到着国
        #
        def legs10_arrival_country=(legs10_arrival_country)
          @legs10_arrival_country = legs10_arrival_country
        end

        #
        # ===区間10到着日を取得する
        # @return:: 区間10到着日
        #
        def legs10_arrival_date
          @legs10_arrival_date = nil unless instance_variable_defined?(:@legs10_arrival_date)
          @legs10_arrival_date
        end

        #
        # ===区間10到着日を設定する
        # @param:: legs10_arrival_date 区間10到着日
        #
        def legs10_arrival_date=(legs10_arrival_date)
          @legs10_arrival_date = legs10_arrival_date
        end

        #
        # ===区間10到着時間を取得する
        # @return:: 区間10到着時間
        #
        def legs10_arrival_time
          @legs10_arrival_time = nil unless instance_variable_defined?(:@legs10_arrival_time)
          @legs10_arrival_time
        end

        #
        # ===区間10到着時間を設定する
        # @param:: legs10_arrival_time 区間10到着時間
        #
        def legs10_arrival_time=(legs10_arrival_time)
          @legs10_arrival_time = legs10_arrival_time
        end

        #
        # ===区間10会社コードを取得する
        # @return:: 区間10会社コード
        #
        def legs10_carrier_code
          @legs10_carrier_code = nil unless instance_variable_defined?(:@legs10_carrier_code)
          @legs10_carrier_code
        end

        #
        # ===区間10会社コードを設定する
        # @param:: legs10_carrier_code 区間10会社コード
        #
        def legs10_carrier_code=(legs10_carrier_code)
          @legs10_carrier_code = legs10_carrier_code
        end

        #
        # ===区間10サービスクラスを取得する
        # @return:: 区間10サービスクラス
        #
        def legs10_class_of_service
          @legs10_class_of_service = nil unless instance_variable_defined?(:@legs10_class_of_service)
          @legs10_class_of_service
        end

        #
        # ===区間10サービスクラスを設定する
        # @param:: legs10_class_of_service 区間10サービスクラス
        #
        def legs10_class_of_service=(legs10_class_of_service)
          @legs10_class_of_service = legs10_class_of_service
        end

        #
        # ===区間10クーポン番号を取得する
        # @return:: 区間10クーポン番号
        #
        def legs10_coupon_number
          @legs10_coupon_number = nil unless instance_variable_defined?(:@legs10_coupon_number)
          @legs10_coupon_number
        end

        #
        # ===区間10クーポン番号を設定する
        # @param:: legs10_coupon_number 区間10クーポン番号
        #
        def legs10_coupon_number=(legs10_coupon_number)
          @legs10_coupon_number = legs10_coupon_number
        end

        #
        # ===区間10出発空港を取得する
        # @return:: 区間10出発空港
        #
        def legs10_departure_airport
          @legs10_departure_airport = nil unless instance_variable_defined?(:@legs10_departure_airport)
          @legs10_departure_airport
        end

        #
        # ===区間10出発空港を設定する
        # @param:: legs10_departure_airport 区間10出発空港
        #
        def legs10_departure_airport=(legs10_departure_airport)
          @legs10_departure_airport = legs10_departure_airport
        end

        #
        # ===区間10出発国を取得する
        # @return:: 区間10出発国
        #
        def legs10_departure_country
          @legs10_departure_country = nil unless instance_variable_defined?(:@legs10_departure_country)
          @legs10_departure_country
        end

        #
        # ===区間10出発国を設定する
        # @param:: legs10_departure_country 区間10出発国
        #
        def legs10_departure_country=(legs10_departure_country)
          @legs10_departure_country = legs10_departure_country
        end

        #
        # ===区間10出発日を取得する
        # @return:: 区間10出発日
        #
        def legs10_departure_date
          @legs10_departure_date = nil unless instance_variable_defined?(:@legs10_departure_date)
          @legs10_departure_date
        end

        #
        # ===区間10出発日を設定する
        # @param:: legs10_departure_date 区間10出発日
        #
        def legs10_departure_date=(legs10_departure_date)
          @legs10_departure_date = legs10_departure_date
        end

        #
        # ===区間10出発時間を取得する
        # @return:: 区間10出発時間
        #
        def legs10_departure_time
          @legs10_departure_time = nil unless instance_variable_defined?(:@legs10_departure_time)
          @legs10_departure_time
        end

        #
        # ===区間10出発時間を設定する
        # @param:: legs10_departure_time 区間10出発時間
        #
        def legs10_departure_time=(legs10_departure_time)
          @legs10_departure_time = legs10_departure_time
        end

        #
        # ===区間10出国税を取得する
        # @return:: 区間10出国税
        #
        def legs10_departure_tax_amount
          @legs10_departure_tax_amount = nil unless instance_variable_defined?(:@legs10_departure_tax_amount)
          @legs10_departure_tax_amount
        end

        #
        # ===区間10出国税を設定する
        # @param:: legs10_departure_tax_amount 区間10出国税
        #
        def legs10_departure_tax_amount=(legs10_departure_tax_amount)
          @legs10_departure_tax_amount = legs10_departure_tax_amount
        end

        #
        # ===区間10チケット枚数を取得する
        # @return:: 区間10チケット枚数
        #
        def legs10_exchange_ticket_num
          @legs10_exchange_ticket_num = nil unless instance_variable_defined?(:@legs10_exchange_ticket_num)
          @legs10_exchange_ticket_num
        end

        #
        # ===区間10チケット枚数を設定する
        # @param:: legs10_exchange_ticket_num 区間10チケット枚数
        #
        def legs10_exchange_ticket_num=(legs10_exchange_ticket_num)
          @legs10_exchange_ticket_num = legs10_exchange_ticket_num
        end

        #
        # ===区間10運賃を取得する
        # @return:: 区間10運賃
        #
        def legs10_fare_amount
          @legs10_fare_amount = nil unless instance_variable_defined?(:@legs10_fare_amount)
          @legs10_fare_amount
        end

        #
        # ===区間10運賃を設定する
        # @param:: legs10_fare_amount 区間10運賃
        #
        def legs10_fare_amount=(legs10_fare_amount)
          @legs10_fare_amount = legs10_fare_amount
        end

        #
        # ===区間10基本運賃を取得する
        # @return:: 区間10基本運賃
        #
        def legs10_fare_basis
          @legs10_fare_basis = nil unless instance_variable_defined?(:@legs10_fare_basis)
          @legs10_fare_basis
        end

        #
        # ===区間10基本運賃を設定する
        # @param:: legs10_fare_basis 区間10基本運賃
        #
        def legs10_fare_basis=(legs10_fare_basis)
          @legs10_fare_basis = legs10_fare_basis
        end

        #
        # ===区間10手数料を取得する
        # @return:: 区間10手数料
        #
        def legs10_fees_amount
          @legs10_fees_amount = nil unless instance_variable_defined?(:@legs10_fees_amount)
          @legs10_fees_amount
        end

        #
        # ===区間10手数料を設定する
        # @param:: legs10_fees_amount 区間10手数料
        #
        def legs10_fees_amount=(legs10_fees_amount)
          @legs10_fees_amount = legs10_fees_amount
        end

        #
        # ===区間10フライトナンバーを取得する
        # @return:: 区間10フライトナンバー
        #
        def legs10_flight_number
          @legs10_flight_number = nil unless instance_variable_defined?(:@legs10_flight_number)
          @legs10_flight_number
        end

        #
        # ===区間10フライトナンバーを設定する
        # @param:: legs10_flight_number 区間10フライトナンバー
        #
        def legs10_flight_number=(legs10_flight_number)
          @legs10_flight_number = legs10_flight_number
        end

        #
        # ===区間10制限を取得する
        # @return:: 区間10制限
        #
        def legs10_restrictions
          @legs10_restrictions = nil unless instance_variable_defined?(:@legs10_restrictions)
          @legs10_restrictions
        end

        #
        # ===区間10制限を設定する
        # @param:: legs10_restrictions 区間10制限
        #
        def legs10_restrictions=(legs10_restrictions)
          @legs10_restrictions = legs10_restrictions
        end

        #
        # ===区間10途中下車許可を取得する
        # @return:: 区間10途中下車許可
        #
        def legs10_stop_over_allowed
          @legs10_stop_over_allowed = nil unless instance_variable_defined?(:@legs10_stop_over_allowed)
          @legs10_stop_over_allowed
        end

        #
        # ===区間10途中下車許可を設定する
        # @param:: legs10_stop_over_allowed 区間10途中下車許可
        #
        def legs10_stop_over_allowed=(legs10_stop_over_allowed)
          @legs10_stop_over_allowed = legs10_stop_over_allowed
        end

        #
        # ===区間10税を取得する
        # @return:: 区間10税
        #
        def legs10_tax_amount
          @legs10_tax_amount = nil unless instance_variable_defined?(:@legs10_tax_amount)
          @legs10_tax_amount
        end

        #
        # ===区間10税を設定する
        # @param:: legs10_tax_amount 区間10税
        #
        def legs10_tax_amount=(legs10_tax_amount)
          @legs10_tax_amount = legs10_tax_amount
        end

        #
        # ===区間10チケット番号を取得する
        # @return:: 区間10チケット番号
        #
        def legs10_ticket_number
          @legs10_ticket_number = nil unless instance_variable_defined?(:@legs10_ticket_number)
          @legs10_ticket_number
        end

        #
        # ===区間10チケット番号を設定する
        # @param:: legs10_ticket_number 区間10チケット番号
        #
        def legs10_ticket_number=(legs10_ticket_number)
          @legs10_ticket_number = legs10_ticket_number
        end


      end
    end
  end
end
