# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2リスク情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2RiskDto

        #
        # ===スクリーニング種別コードを取得する
        # @return:: スクリーニング種別コード
        #
        def service_id
          @service_id = nil unless instance_variable_defined?(:@service_id)
          @service_id
        end

        #
        # ===スクリーニング種別コードを設定する
        # @param:: service_id スクリーニング種別コード
        #
        def service_id=(service_id)
          @service_id = service_id
        end

        #
        # ===決済合計額を取得する
        # @return:: 決済合計額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===決済合計額を設定する
        # @param:: amount 決済合計額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===トランザクション発生日時を取得する
        # @return:: トランザクション発生日時
        #
        def order_timestamp
          @order_timestamp = nil unless instance_variable_defined?(:@order_timestamp)
          @order_timestamp
        end

        #
        # ===トランザクション発生日時を設定する
        # @param:: order_timestamp トランザクション発生日時
        #
        def order_timestamp=(order_timestamp)
          @order_timestamp = order_timestamp
        end

        #
        # ===加盟店ウェブサイトURLを取得する
        # @return:: 加盟店ウェブサイトURL
        #
        def merchant_website
          @merchant_website = nil unless instance_variable_defined?(:@merchant_website)
          @merchant_website
        end

        #
        # ===加盟店ウェブサイトURLを設定する
        # @param:: merchant_website 加盟店ウェブサイトURL
        #
        def merchant_website=(merchant_website)
          @merchant_website = merchant_website
        end

        #
        # ===トークン番号を取得する
        # @return:: トークン番号
        #
        def account_token
          @account_token = nil unless instance_variable_defined?(:@account_token)
          @account_token
        end

        #
        # ===トークン番号を設定する
        # @param:: account_token トークン番号
        #
        def account_token=(account_token)
          @account_token = account_token
        end

        #
        # ===パラメータ情報を取得する
        # @return:: パラメータ情報
        #
        def parameters
          @parameters = nil unless instance_variable_defined?(:@parameters)
          @parameters
        end

        #
        # ===パラメータ情報を設定する
        # @param:: parameters パラメータ情報
        #
        def parameters=(parameters)
          @parameters = parameters
        end


      end
    end
  end
end
