# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2配送情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2ShippingDto

        #
        # ===顧客情報を取得する
        # @return:: 顧客情報
        #
        def customer
          @customer = nil unless instance_variable_defined?(:@customer)
          @customer
        end

        #
        # ===顧客情報を設定する
        # @param:: customer 顧客情報
        #
        def customer=(customer)
          @customer = customer
        end

        #
        # ===発送先マンション・アパート及び部屋番号を取得する
        # @return:: 発送先マンション・アパート及び部屋番号
        #
        def house_number1
          @house_number1 = nil unless instance_variable_defined?(:@house_number1)
          @house_number1
        end

        #
        # ===発送先マンション・アパート及び部屋番号を設定する
        # @param:: house_number1 発送先マンション・アパート及び部屋番号
        #
        def house_number1=(house_number1)
          @house_number1 = house_number1
        end

        #
        # ===発送先住所1を取得する
        # @return:: 発送先住所1
        #
        def street1
          @street1 = nil unless instance_variable_defined?(:@street1)
          @street1
        end

        #
        # ===発送先住所1を設定する
        # @param:: street1 発送先住所1
        #
        def street1=(street1)
          @street1 = street1
        end

        #
        # ===発送先住所2を取得する
        # @return:: 発送先住所2
        #
        def street2
          @street2 = nil unless instance_variable_defined?(:@street2)
          @street2
        end

        #
        # ===発送先住所2を設定する
        # @param:: street2 発送先住所2
        #
        def street2=(street2)
          @street2 = street2
        end

        #
        # ===発送先都道府県を取得する
        # @return:: 発送先都道府県
        #
        def city
          @city = nil unless instance_variable_defined?(:@city)
          @city
        end

        #
        # ===発送先都道府県を設定する
        # @param:: city 発送先都道府県
        #
        def city=(city)
          @city = city
        end

        #
        # ===発送先州を取得する
        # @return:: 発送先州
        #
        def state
          @state = nil unless instance_variable_defined?(:@state)
          @state
        end

        #
        # ===発送先州を設定する
        # @param:: state 発送先州
        #
        def state=(state)
          @state = state
        end

        #
        # ===発送先国を取得する
        # @return:: 発送先国
        #
        def country
          @country = nil unless instance_variable_defined?(:@country)
          @country
        end

        #
        # ===発送先国を設定する
        # @param:: country 発送先国
        #
        def country=(country)
          @country = country
        end

        #
        # ===発送先郵便番号を取得する
        # @return:: 発送先郵便番号
        #
        def postcode
          @postcode = nil unless instance_variable_defined?(:@postcode)
          @postcode
        end

        #
        # ===発送先郵便番号を設定する
        # @param:: postcode 発送先郵便番号
        #
        def postcode=(postcode)
          @postcode = postcode
        end

        #
        # ===送料を取得する
        # @return:: 送料
        #
        def cost
          @cost = nil unless instance_variable_defined?(:@cost)
          @cost
        end

        #
        # ===送料を設定する
        # @param:: cost 送料
        #
        def cost=(cost)
          @cost = cost
        end

        #
        # ===トラッキング番号を取得する
        # @return:: トラッキング番号
        #
        def tracking_number
          @tracking_number = nil unless instance_variable_defined?(:@tracking_number)
          @tracking_number
        end

        #
        # ===トラッキング番号を設定する
        # @param:: tracking_number トラッキング番号
        #
        def tracking_number=(tracking_number)
          @tracking_number = tracking_number
        end

        #
        # ===発送時コメントを取得する
        # @return:: 発送時コメント
        #
        def comment
          @comment = nil unless instance_variable_defined?(:@comment)
          @comment
        end

        #
        # ===発送時コメントを設定する
        # @param:: comment 発送時コメント
        #
        def comment=(comment)
          @comment = comment
        end

        #
        # ===配達会社を取得する
        # @return:: 配達会社
        #
        def logistics_provider
          @logistics_provider = nil unless instance_variable_defined?(:@logistics_provider)
          @logistics_provider
        end

        #
        # ===配達会社を設定する
        # @param:: logistics_provider 配達会社
        #
        def logistics_provider=(logistics_provider)
          @logistics_provider = logistics_provider
        end

        #
        # ===配送方法を取得する
        # @return:: 配送方法
        #
        def method
          @method = nil unless instance_variable_defined?(:@method)
          @method
        end

        #
        # ===配送方法を設定する
        # @param:: method 配送方法
        #
        def method=(method)
          @method = method
        end


      end
    end
  end
end
