# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:merpay検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class MerpaySearchParameter

        #
        # ===merpayオーダーIDを取得する
        # @return:: merpayオーダーID
        #
        def merpay_processing_id
          @merpay_processing_id = nil unless instance_variable_defined?(:@merpay_processing_id)
          @merpay_processing_id
        end

        #
        # ===merpayオーダーIDを設定する
        # @param:: merpay_processing_id merpayオーダーID
        #
        def merpay_processing_id=(merpay_processing_id)
          @merpay_processing_id = merpay_processing_id
        end

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===merpayサービスタイプを取得する
        # @return:: merpayサービスタイプ
        #
        def merpay_service_type
          @merpay_service_type = nil unless instance_variable_defined?(:@merpay_service_type)
          @merpay_service_type
        end

        #
        # ===merpayサービスタイプを設定する
        # @param:: merpay_service_type merpayサービスタイプ
        #
        def merpay_service_type=(merpay_service_type)
          @merpay_service_type = merpay_service_type
        end

        #
        # ===課金種別を取得する
        # @return:: 課金種別
        #
        def accounting_type
          @accounting_type = nil unless instance_variable_defined?(:@accounting_type)
          @accounting_type
        end

        #
        # ===課金種別を設定する
        # @param:: accounting_type 課金種別
        #
        def accounting_type=(accounting_type)
          @accounting_type = accounting_type
        end

        #
        # ===問合せ番号を取得する
        # @return:: 問合せ番号
        #
        def inquiry_code
          @inquiry_code = nil unless instance_variable_defined?(:@inquiry_code)
          @inquiry_code
        end

        #
        # ===問合せ番号を設定する
        # @param:: inquiry_code 問合せ番号
        #
        def inquiry_code=(inquiry_code)
          @inquiry_code = inquiry_code
        end

        #
        # ===元取引IDを取得する
        # @return:: 元取引ID
        #
        def original_order_id
          @original_order_id = nil unless instance_variable_defined?(:@original_order_id)
          @original_order_id
        end

        #
        # ===元取引IDを設定する
        # @param:: original_order_id 元取引ID
        #
        def original_order_id=(original_order_id)
          @original_order_id = original_order_id
        end

        #
        # ===承諾時決済タイプを取得する
        # @return:: 承諾時決済タイプ
        #
        def consent_auth_type
          @consent_auth_type = nil unless instance_variable_defined?(:@consent_auth_type)
          @consent_auth_type
        end

        #
        # ===承諾時決済タイプを設定する
        # @param:: consent_auth_type 承諾時決済タイプ
        #
        def consent_auth_type=(consent_auth_type)
          @consent_auth_type = consent_auth_type
        end

      end
    end
  end
end
