# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:MPI検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class MpiSearchParameter

        #
        # ===詳細取引決済状態を取得する
        # @return:: 詳細取引決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細取引決済状態を設定する
        # @param:: detail_order_type 詳細取引決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===応答3DトランザクションIDを取得する
        # @return:: 応答3DトランザクションID
        #
        def res3d_transaction_id
          @res3d_transaction_id = nil unless instance_variable_defined?(:@res3d_transaction_id)
          @res3d_transaction_id
        end

        #
        # ===応答3DトランザクションIDを設定する
        # @param:: res3d_transaction_id 応答3DトランザクションID
        #
        def res3d_transaction_id=(res3d_transaction_id)
          @res3d_transaction_id = res3d_transaction_id
        end

        #
        # ===応答3Dトランザクションステータスを取得する
        # @return:: 応答3Dトランザクションステータス
        #
        def res3d_transaction_status
          @res3d_transaction_status = nil unless instance_variable_defined?(:@res3d_transaction_status)
          @res3d_transaction_status
        end

        #
        # ===応答3Dトランザクションステータスを設定する
        # @param:: res3d_transaction_status 応答3Dトランザクションステータス
        #
        def res3d_transaction_status=(res3d_transaction_status)
          @res3d_transaction_status = res3d_transaction_status
        end

        #
        # ===応答3D ECIを取得する
        # @return:: 応答3D ECI
        #
        def res3d_eci
          @res3d_eci = nil unless instance_variable_defined?(:@res3d_eci)
          @res3d_eci
        end

        #
        # ===応答3D ECIを設定する
        # @param:: res3d_eci 応答3D ECI
        #
        def res3d_eci=(res3d_eci)
          @res3d_eci = res3d_eci
        end

        #
        # ===デバイスチャネルを取得する
        # @return:: デバイスチャネル
        #
        def device_channel
          @device_channel = nil unless instance_variable_defined?(:@device_channel)
          @device_channel
        end

        #
        # ===デバイスチャネルを設定する
        # @param:: device_channel デバイスチャネル
        #
        def device_channel=(device_channel)
          @device_channel = device_channel
        end

        #
        # ===アカウントタイプを取得する
        # @return:: アカウントタイプ
        #
        def account_type
          @account_type = nil unless instance_variable_defined?(:@account_type)
          @account_type
        end

        #
        # ===アカウントタイプを設定する
        # @param:: account_type アカウントタイプ
        #
        def account_type=(account_type)
          @account_type = account_type
        end

        #
        # ===認証要求タイプを取得する
        # @return:: 認証要求タイプ
        #
        def authentication_indicator
          @authentication_indicator = nil unless instance_variable_defined?(:@authentication_indicator)
          @authentication_indicator
        end

        #
        # ===認証要求タイプを設定する
        # @param:: authentication_indicator 認証要求タイプ
        #
        def authentication_indicator=(authentication_indicator)
          @authentication_indicator = authentication_indicator
        end

        #
        # ===メッセージカテゴリを取得する
        # @return:: メッセージカテゴリ
        #
        def message_category
          @message_category = nil unless instance_variable_defined?(:@message_category)
          @message_category
        end

        #
        # ===メッセージカテゴリを設定する
        # @param:: message_category メッセージカテゴリ
        #
        def message_category=(message_category)
          @message_category = message_category
        end

      end
    end
  end
end
