# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =PayNowID用定義クラス
      # PayNowIDに関する定数を定義します。
      #
      # @author:: VeriTrans Inc.
      #
      class PayNowIdConstants

        SERVICE_TYPE_ACCOUNT    = "account".freeze
        SERVICE_TYPE_CHARGE     = "charge".freeze
        SERVICE_TYPE_RECURRING  = "recurring".freeze
        SERVICE_TYPE_CARDINFO   = "cardinfo".freeze
        SERVICE_TYPE_BANKACCOUNT   = "bankAccount".freeze

        SERVICE_COMMAND_ADD     = "Add".freeze
        SERVICE_COMMAND_UPDATE  = "Update".freeze
        SERVICE_COMMAND_DELETE  = "Delete".freeze
        SERVICE_COMMAND_RESTORE = "Restore".freeze
        SERVICE_COMMAND_GET     = "Get".freeze
        SERVICE_COMMAND_LINK    = "Link".freeze
        SERVICE_COMMAND_TOKEN   = "Token".freeze
        SERVICE_COMMAND_COPY    = "Copy".freeze

      end
    end
  end
end
