# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =連絡先情報クラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayContactDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===フルネーム(漢字)を取得する
        # @return:: フルネーム(漢字)
        #
        def full_name
          @full_name = nil unless instance_variable_defined?(:@full_name)
          @full_name
        end

        #
        # ===フルネーム(漢字)を設定する
        # @param:: full_name フルネーム(漢字)
        #
        def full_name=(full_name)
          @full_name = full_name
        end

        #
        # ===フルネーム(カナ)を取得する
        # @return:: フルネーム(カナ)
        #
        def full_kana_name
          @full_kana_name = nil unless instance_variable_defined?(:@full_kana_name)
          @full_kana_name
        end

        #
        # ===フルネーム(カナ)を設定する
        # @param:: full_kana_name フルネーム(カナ)
        #
        def full_kana_name=(full_kana_name)
          @full_kana_name = full_kana_name
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def tel
          @tel = nil unless instance_variable_defined?(:@tel)
          @tel
        end

        #
        # ===電話番号を設定する
        # @param:: tel 電話番号
        #
        def tel=(tel)
          @tel = tel
        end

        #
        # ===携帯電話番号を取得する
        # @return:: 携帯電話番号
        #
        def mobile
          @mobile = nil unless instance_variable_defined?(:@mobile)
          @mobile
        end

        #
        # ===携帯電話番号を設定する
        # @param:: mobile 携帯電話番号
        #
        def mobile=(mobile)
          @mobile = mobile
        end

        #
        # ===メールアドレスを取得する
        # @return:: メールアドレス
        #
        def email
          @email = nil unless instance_variable_defined?(:@email)
          @email
        end

        #
        # ===メールアドレスを設定する
        # @param:: email メールアドレス
        #
        def email=(email)
          @email = email
        end

        #
        # ===携帯メールアドレスを取得する
        # @return:: 携帯メールアドレス
        #
        def mobile_email
          @mobile_email = nil unless instance_variable_defined?(:@mobile_email)
          @mobile_email
        end

        #
        # ===携帯メールアドレスを設定する
        # @param:: mobile_email 携帯メールアドレス
        #
        def mobile_email=(mobile_email)
          @mobile_email = mobile_email
        end

        #
        # ===郵便番号を取得する
        # @return:: 郵便番号
        #
        def zip_code
          @zip_code = nil unless instance_variable_defined?(:@zip_code)
          @zip_code
        end

        #
        # ===郵便番号を設定する
        # @param:: zip_code 郵便番号
        #
        def zip_code=(zip_code)
          @zip_code = zip_code
        end

        #
        # ===住所(都道府県)を取得する
        # @return:: 住所(都道府県)
        #
        def address1
          @address1 = nil unless instance_variable_defined?(:@address1)
          @address1
        end

        #
        # ===住所(都道府県)を設定する
        # @param:: address1 住所(都道府県)
        #
        def address1=(address1)
          @address1 = address1
        end

        #
        # ===住所(市区町村)を取得する
        # @return:: 住所(市区町村)
        #
        def address2
          @address2 = nil unless instance_variable_defined?(:@address2)
          @address2
        end

        #
        # ===住所(市区町村)を設定する
        # @param:: address2 住所(市区町村)
        #
        def address2=(address2)
          @address2 = address2
        end

        #
        # ===住所(市区町村以降)を取得する
        # @return:: 住所(市区町村以降)
        #
        def address3
          @address3 = nil unless instance_variable_defined?(:@address3)
          @address3
        end

        #
        # ===住所(市区町村以降)を設定する
        # @param:: address3 住所(市区町村以降)
        #
        def address3=(address3)
          @address3 = address3
        end

        #
        # ===会社名を取得する
        # @return:: 会社名
        #
        def company_name
          @company_name = nil unless instance_variable_defined?(:@company_name)
          @company_name
        end

        #
        # ===会社名を設定する
        # @param:: company_name 会社名
        #
        def company_name=(company_name)
          @company_name = company_name
        end

        #
        # ===部署名を取得する
        # @return:: 部署名
        #
        def department_name
          @department_name = nil unless instance_variable_defined?(:@department_name)
          @department_name
        end

        #
        # ===部署名を設定する
        # @param:: department_name 部署名
        #
        def department_name=(department_name)
          @department_name = department_name
        end



      end
    end
  end
end