# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =明細情報クラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayDetailDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===明細名を取得する
        # @return:: 明細名
        #
        def detail_name
          @detail_name = nil unless instance_variable_defined?(:@detail_name)
          @detail_name
        end

        #
        # ===明細名を設定する
        # @param:: detail_name 明細名
        #
        def detail_name=(detail_name)
          @detail_name = detail_name
        end

        #
        # ===単価を取得する
        # @return:: 単価
        #
        def detail_price
          @detail_price = nil unless instance_variable_defined?(:@detail_price)
          @detail_price
        end

        #
        # ===単価を設定する
        # @param:: detail_price 単価
        #
        def detail_price=(detail_price)
          @detail_price = detail_price
        end

        #
        # ===数量を取得する
        # @return:: 数量
        #
        def detail_quantity
          @detail_quantity = nil unless instance_variable_defined?(:@detail_quantity)
          @detail_quantity
        end

        #
        # ===数量を設定する
        # @param:: detail_quantity 数量
        #
        def detail_quantity=(detail_quantity)
          @detail_quantity = detail_quantity
        end



      end
    end
  end
end