# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =エラー情報クラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayErrorDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===エラーメッセージを取得する
        # @return:: エラーメッセージ
        #
        def error_message
          @error_message = nil unless instance_variable_defined?(:@error_message)
          @error_message
        end

        #
        # ===エラーメッセージを設定する
        # @param:: error_message エラーメッセージ
        #
        def error_message=(error_message)
          @error_message = error_message
        end

        #
        # ===エラーコードを取得する
        # @return:: エラーコード
        #
        def error_code
          @error_code = nil unless instance_variable_defined?(:@error_code)
          @error_code
        end

        #
        # ===エラーコードを設定する
        # @param:: error_code エラーコード
        #
        def error_code=(error_code)
          @error_code = error_code
        end



      end
    end
  end
end