# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:UPOP検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class UpopSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===決済日時(日本) (From, To)を取得する
        # @return:: 決済日時(日本) (From, To)
        #
        def settle_datetime_jp
          @settle_datetime_jp = nil unless instance_variable_defined?(:@settle_datetime_jp)
          @settle_datetime_jp
        end

        #
        # ===決済日時(日本) (From, To)を設定する
        # @param:: settle_datetime_jp 決済日時(日本) (From, To)
        #
        def settle_datetime_jp=(settle_datetime_jp)
          @settle_datetime_jp = settle_datetime_jp
        end

        #
        # ===決済日時(中国) (From, To)を取得する
        # @return:: 決済日時(中国) (From, To)
        #
        def settle_datetime_cn
          @settle_datetime_cn = nil unless instance_variable_defined?(:@settle_datetime_cn)
          @settle_datetime_cn
        end

        #
        # ===決済日時(中国) (From, To)を設定する
        # @param:: settle_datetime_cn 決済日時(中国) (From, To)
        #
        def settle_datetime_cn=(settle_datetime_cn)
          @settle_datetime_cn = settle_datetime_cn
        end

      end
    end
  end
end
